# SPAS

## Purpose

This program is used for modelling the flow rate through bronchial to pulmonary (arterial) shunts (BPS). A synonym is systemic to pulmonary arterial shunt (SPAS). The modelling parameters can be obtained from angiograms.

## Installation

1. If not already present, install a java runtime environment (JRE). SPAS was tested with the version by [ORACLE](https://www.java.com/en/download/) and with the open source alternative [Kaffee](https://github.com/kaffe/kaffe).

2. Download the java archive [SPAS.jar](https://git.fh-muenster.de/pv238554/spas/-/raw/dac96fe1112e81ce34b0f65e1b69d8f89f7b9857/dist/SPAS.jar).

3. Open a terminal and execute:
```
java -jar SPAS.jar
```

## Usage

1. In the modelling frame, repeatedly click on the white tiles to select either

- a bronchial vessel section,
- a healthy side branch, or
- a bronchial to pulmonary shunt (BPS).

2. Define length and diameter for bronchial vessels and BPS or just the root diameter for healthy branches.

3. Combine symbols until you end up with a network like shown in the figure.

![](https://spas-c1571b.fh-muenster.io/html/Abbildungen/modell.jpg)

4. Finally hit the button »Berechnung starten« to calculate the flow rates. The results are displayed in the line above each model element. Select an appropriate unit in the right part of the user interface.

## Working with the source

If you want to alter the source code, fork this repository. 

Compile:

```
javac -d ./build/ ./src/SPAS/*.java
```

Bundle the jar-archive:

```
cd build
jar -cvfe SPAS.jar SPAS/JFrame ./
```
