/*
 * HilfeFenster.java
 *
 * Created on 7. November 2002
 */

/**
 *
 * @author peterv
 */
package SPAS;

import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.net.URL;
import javax.swing.*;
import javax.swing.event.*;

/** HilfeFenster zeigt einfache html-Dateien and und reagiert auf Hyperlinks. */
class HilfeFenster extends JPanel {
    
    // Variablen
    private static JEditorPane editorPane = new JEditorPane();
    
    /** Einziger Konstruktor.
     *@param url URL eines html-Dokuments.*/
    HilfeFenster(URL url) {
        java.awt.GridBagConstraints gridBagConstraints;
        setLayout(new java.awt.GridBagLayout());
        JScrollPane scrollPane = new JScrollPane(editorPane);
        scrollPane.setPreferredSize(new Dimension(400,600));
        scrollPane.setVerticalScrollBarPolicy(
        JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);
        scrollPane.setHorizontalScrollBarPolicy(
        JScrollPane.HORIZONTAL_SCROLLBAR_ALWAYS);
        editorPane.setEditable(false);
        HyperlinkListener hyperlinkEventMonitor = new HyperlinkEventMonitor();
        editorPane.addHyperlinkListener(hyperlinkEventMonitor);
        try {
            editorPane.setPage(url);
            }
        catch(Exception e) {
            System.err.println(
            "Fehler in Konstruktor \"SPAS.HilfeFenster(URL url)\".");
        }
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.weighty = 1.0;
        add(scrollPane, gridBagConstraints);
    }
    
    /** Läd ein neues html-Dokument. 
     * @parm url URL eines html-Dokuments.*/
    public static void updateHilfe(URL url) {
        try {
            editorPane.setPage(url);
        }
        catch(Exception e) {
            System.err.println(
            "Fehler in Methode \"SPAS.HilfeFenster.updateHilfe\".");
        }
    }
}

/** Event Handling für Hyperlinks */
class HyperlinkEventMonitor implements HyperlinkListener
{
    /** Reaktion auf Hyperlink Events.
     * @param e Hyperlink Event
     */
    public void hyperlinkUpdate(HyperlinkEvent e)
    {
        if (e.getEventType() == HyperlinkEvent.EventType.ACTIVATED) {
            URL url = e.getURL();
            SPAS.HilfeFenster.updateHilfe(url);
        }
    }
}
