/*
 * PASFilter.java
 *
 * Created on 6. November 2002
 */

package SPAS;

/**
 *
 * @author peterv
 */

import java.io.File;
import javax.swing.*;
import javax.swing.filechooser.*;

/** File Filter für Gefäßnetzwerkmodelle. */
public class PASFilter extends FileFilter {
    
    /** Extrahiert die Dateinamenserweiterung von einem File Objekt.
     * @param f Das File Objekt.
     * @return Die Dateinamenserweiterung.
     */
    private static String getExtension(File f) {
        String ext = null;
        String s = f.getName();
        int i = s.lastIndexOf('.');
        if (i > 0 &&  i < s.length() - 1) {
            ext = s.substring(i+1).toLowerCase();
        }
        return ext;
    }

    /** Überschreibt die entprechende Methode des Interfaces "FileFilter".
     * @param f Die Datei.
     * @return true falls die Datei ein Verzeichnis ist oder die Dateiendung
     * "pas" hat.
     */
    public boolean accept(File f) {
        if (f.isDirectory()) {
            return true;
        }
        String extension = getExtension(f);
	if (extension != null) {
            if (extension.equals("pas")) {
                    return true;
            } else {
                return false;
            }
    	}
        return false;
    }
    
    /** Überschreibt die entsprechende Methode des Interfaces "FileFilter".
     * @return Eine Beschreibung des Filters.
     */
    public String getDescription() {
        return "*.PAS (SPAS 1.0 Modelle)";
    }
}