/*
 * JFrame.java
 *
 * Erstellt im Oktober 2002
 */
package SPAS;
/**
 *
 * @author peterv
 */

import java.awt.*;
import java.util.*;
import javax.swing.*;
import java.lang.Math.*;
import java.awt.print.*;
import java.text.*;
import java.io.*;
import java.net.URL;

/**
 * Dies ist die Hauptklasse des SPAS packages. Die Klasse JFrame ist für die
 * grafische Oberfläche, die Ein- und Ausgabe, die Berechnung des Volumenstromes,
 * das Drucken der Ergebnisse und das Speichern sowie Laden der Variablen
 * zuständig. Eine Trennung von grafischer Oberfläche von Berechnung und anderen
 * Aufgaben wurde wegen des geringen Umfangs des Programmes nicht gewählt.
 * Bedienung und Funktion des Programmes sind in der Onlinehilfe ausführlich 
 * erklärt.
 * Der Modellbildungsbereich ist im Moment als 8 mal 8 Matrix fest gecoded,
 * sollte aber besser mit Hilfe eines Arrays oder noch besser mit Hilfe einer
 * Collection flexibel gestaltet werden. Das würde auch die Anzahl der
 * Programmzeilen erheblich reduzieren.
 */
class JFrame extends javax.swing.JFrame
implements Printable {
    
    /** Einziger Konstruktor der Klasse JFrame. */
    public JFrame() {
        ladeIcon();
        initComponents();
        initialisiereVariablen();
        einheitUmrechnen(jTextFieldPLinkesHerz);
        einheitUmrechnen(jTextFieldPRechtesHerz);
        fc.addChoosableFileFilter(new PASFilter());
        leseEingaben();
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    private void initComponents() {//GEN-BEGIN:initComponents
        java.awt.GridBagConstraints gridBagConstraints;

        jLabel01 = new javax.swing.JLabel();
        jLabel02 = new javax.swing.JLabel();
        jLabel03 = new javax.swing.JLabel();
        jLabel04 = new javax.swing.JLabel();
        jLabel09 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        jLabel11 = new javax.swing.JLabel();
        jLabel12 = new javax.swing.JLabel();
        jLabel17 = new javax.swing.JLabel();
        jLabel18 = new javax.swing.JLabel();
        jLabel19 = new javax.swing.JLabel();
        jLabel20 = new javax.swing.JLabel();
        jLabel25 = new javax.swing.JLabel();
        jLabel26 = new javax.swing.JLabel();
        jLabel27 = new javax.swing.JLabel();
        jLabel28 = new javax.swing.JLabel();
        jLabel33 = new javax.swing.JLabel();
        jLabel34 = new javax.swing.JLabel();
        jLabel35 = new javax.swing.JLabel();
        jLabel36 = new javax.swing.JLabel();
        jLabel41 = new javax.swing.JLabel();
        jLabel42 = new javax.swing.JLabel();
        jLabel43 = new javax.swing.JLabel();
        jLabel44 = new javax.swing.JLabel();
        jLabel49 = new javax.swing.JLabel();
        jLabel50 = new javax.swing.JLabel();
        jLabel51 = new javax.swing.JLabel();
        jLabel52 = new javax.swing.JLabel();
        jLabel57 = new javax.swing.JLabel();
        jLabel58 = new javax.swing.JLabel();
        jLabel59 = new javax.swing.JLabel();
        jLabel60 = new javax.swing.JLabel();
        jTextField01v = new javax.swing.JTextField();
        jTextField02v = new javax.swing.JTextField();
        jTextField03v = new javax.swing.JTextField();
        jTextField04v = new javax.swing.JTextField();
        jTextField09v = new javax.swing.JTextField();
        jTextField10v = new javax.swing.JTextField();
        jTextField11v = new javax.swing.JTextField();
        jTextField12v = new javax.swing.JTextField();
        jTextField17v = new javax.swing.JTextField();
        jTextField18v = new javax.swing.JTextField();
        jTextField19v = new javax.swing.JTextField();
        jTextField20v = new javax.swing.JTextField();
        jTextField25v = new javax.swing.JTextField();
        jTextField26v = new javax.swing.JTextField();
        jTextField27v = new javax.swing.JTextField();
        jTextField28v = new javax.swing.JTextField();
        jTextField33v = new javax.swing.JTextField();
        jTextField34v = new javax.swing.JTextField();
        jTextField35v = new javax.swing.JTextField();
        jTextField36v = new javax.swing.JTextField();
        jTextField41v = new javax.swing.JTextField();
        jTextField42v = new javax.swing.JTextField();
        jTextField43v = new javax.swing.JTextField();
        jTextField44v = new javax.swing.JTextField();
        jTextField49v = new javax.swing.JTextField();
        jTextField50v = new javax.swing.JTextField();
        jTextField51v = new javax.swing.JTextField();
        jTextField52v = new javax.swing.JTextField();
        jTextField57v = new javax.swing.JTextField();
        jTextField58v = new javax.swing.JTextField();
        jTextField59v = new javax.swing.JTextField();
        jTextField60v = new javax.swing.JTextField();
        jTextField01d = new javax.swing.JTextField();
        jTextField01l = new javax.swing.JTextField();
        jTextField02d = new javax.swing.JTextField();
        jTextField02l = new javax.swing.JTextField();
        jTextField03d = new javax.swing.JTextField();
        jTextField03l = new javax.swing.JTextField();
        jTextField04d = new javax.swing.JTextField();
        jTextField04l = new javax.swing.JTextField();
        jTextField09d = new javax.swing.JTextField();
        jLabel05 = new javax.swing.JLabel();
        jTextField09l = new javax.swing.JTextField();
        jTextField10d = new javax.swing.JTextField();
        jTextField10l = new javax.swing.JTextField();
        jTextField11d = new javax.swing.JTextField();
        jTextField11l = new javax.swing.JTextField();
        jTextField12d = new javax.swing.JTextField();
        jTextField12l = new javax.swing.JTextField();
        jTextField17d = new javax.swing.JTextField();
        jTextField17l = new javax.swing.JTextField();
        jTextField18d = new javax.swing.JTextField();
        jTextField18l = new javax.swing.JTextField();
        jTextField19d = new javax.swing.JTextField();
        jTextField19l = new javax.swing.JTextField();
        jTextField20d = new javax.swing.JTextField();
        jTextField20l = new javax.swing.JTextField();
        jTextField25d = new javax.swing.JTextField();
        jTextField25l = new javax.swing.JTextField();
        jTextField26d = new javax.swing.JTextField();
        jTextField26l = new javax.swing.JTextField();
        jTextField27d = new javax.swing.JTextField();
        jTextField27l = new javax.swing.JTextField();
        jTextField28d = new javax.swing.JTextField();
        jTextField28l = new javax.swing.JTextField();
        jTextField33d = new javax.swing.JTextField();
        jTextField33l = new javax.swing.JTextField();
        jTextField34d = new javax.swing.JTextField();
        jTextField34l = new javax.swing.JTextField();
        jTextField35d = new javax.swing.JTextField();
        jTextField35l = new javax.swing.JTextField();
        jTextField36d = new javax.swing.JTextField();
        jTextField36l = new javax.swing.JTextField();
        jTextField41d = new javax.swing.JTextField();
        jTextField41l = new javax.swing.JTextField();
        jTextField42d = new javax.swing.JTextField();
        jTextField42l = new javax.swing.JTextField();
        jTextField43d = new javax.swing.JTextField();
        jTextField43l = new javax.swing.JTextField();
        jTextField44d = new javax.swing.JTextField();
        jTextField44l = new javax.swing.JTextField();
        jTextField49d = new javax.swing.JTextField();
        jTextField49l = new javax.swing.JTextField();
        jTextField50d = new javax.swing.JTextField();
        jTextField50l = new javax.swing.JTextField();
        jTextField51d = new javax.swing.JTextField();
        jTextField51l = new javax.swing.JTextField();
        jTextField52d = new javax.swing.JTextField();
        jTextField52l = new javax.swing.JTextField();
        jTextField57d = new javax.swing.JTextField();
        jTextField57l = new javax.swing.JTextField();
        jTextField58d = new javax.swing.JTextField();
        jTextField58l = new javax.swing.JTextField();
        jTextField59d = new javax.swing.JTextField();
        jTextField59l = new javax.swing.JTextField();
        jTextField60d = new javax.swing.JTextField();
        jTextField60l = new javax.swing.JTextField();
        jButtonBerechnungStarten = new javax.swing.JButton();
        jLabel06 = new javax.swing.JLabel();
        jLabel07 = new javax.swing.JLabel();
        jLabel08 = new javax.swing.JLabel();
        jLabel13 = new javax.swing.JLabel();
        jLabel15 = new javax.swing.JLabel();
        jLabel16 = new javax.swing.JLabel();
        jLabel21 = new javax.swing.JLabel();
        jLabel14 = new javax.swing.JLabel();
        jLabel22 = new javax.swing.JLabel();
        jLabel23 = new javax.swing.JLabel();
        jLabel29 = new javax.swing.JLabel();
        jLabel31 = new javax.swing.JLabel();
        jLabel24 = new javax.swing.JLabel();
        jLabel30 = new javax.swing.JLabel();
        jLabel32 = new javax.swing.JLabel();
        jLabel37 = new javax.swing.JLabel();
        jLabel38 = new javax.swing.JLabel();
        jLabel39 = new javax.swing.JLabel();
        jLabel40 = new javax.swing.JLabel();
        jLabel45 = new javax.swing.JLabel();
        jLabel46 = new javax.swing.JLabel();
        jLabel47 = new javax.swing.JLabel();
        jLabel48 = new javax.swing.JLabel();
        jLabel53 = new javax.swing.JLabel();
        jLabel54 = new javax.swing.JLabel();
        jLabel55 = new javax.swing.JLabel();
        jLabel56 = new javax.swing.JLabel();
        jLabel61 = new javax.swing.JLabel();
        jLabel62 = new javax.swing.JLabel();
        jLabel63 = new javax.swing.JLabel();
        jLabel64 = new javax.swing.JLabel();
        jTextField05v = new javax.swing.JTextField();
        jTextField06v = new javax.swing.JTextField();
        jTextField07v = new javax.swing.JTextField();
        jTextField08v = new javax.swing.JTextField();
        jTextField13v = new javax.swing.JTextField();
        jTextField14v = new javax.swing.JTextField();
        jTextField15v = new javax.swing.JTextField();
        jTextField16v = new javax.swing.JTextField();
        jTextField21v = new javax.swing.JTextField();
        jTextField22v = new javax.swing.JTextField();
        jTextField23v = new javax.swing.JTextField();
        jTextField24v = new javax.swing.JTextField();
        jTextField29v = new javax.swing.JTextField();
        jTextField30v = new javax.swing.JTextField();
        jTextField31v = new javax.swing.JTextField();
        jTextField32v = new javax.swing.JTextField();
        jTextField37v = new javax.swing.JTextField();
        jTextField39v = new javax.swing.JTextField();
        jTextField40v = new javax.swing.JTextField();
        jTextField45v = new javax.swing.JTextField();
        jTextField38v = new javax.swing.JTextField();
        jTextField46v = new javax.swing.JTextField();
        jTextField47v = new javax.swing.JTextField();
        jTextField48v = new javax.swing.JTextField();
        jTextField53v = new javax.swing.JTextField();
        jTextField54v = new javax.swing.JTextField();
        jTextField55v = new javax.swing.JTextField();
        jTextField56v = new javax.swing.JTextField();
        jTextField61v = new javax.swing.JTextField();
        jTextField62v = new javax.swing.JTextField();
        jTextField63v = new javax.swing.JTextField();
        jTextField64v = new javax.swing.JTextField();
        jTextField05d = new javax.swing.JTextField();
        jTextField30d = new javax.swing.JTextField();
        jTextField05l = new javax.swing.JTextField();
        jTextField06d = new javax.swing.JTextField();
        jTextField06l = new javax.swing.JTextField();
        jTextField07d = new javax.swing.JTextField();
        jTextField07l = new javax.swing.JTextField();
        jTextField08d = new javax.swing.JTextField();
        jTextField08l = new javax.swing.JTextField();
        jTextField13d = new javax.swing.JTextField();
        jTextField13l = new javax.swing.JTextField();
        jTextField14d = new javax.swing.JTextField();
        jTextField14l = new javax.swing.JTextField();
        jTextField15d = new javax.swing.JTextField();
        jTextField15l = new javax.swing.JTextField();
        jTextField16d = new javax.swing.JTextField();
        jTextField16l = new javax.swing.JTextField();
        jTextField21d = new javax.swing.JTextField();
        jTextField21l = new javax.swing.JTextField();
        jTextField22d = new javax.swing.JTextField();
        jTextField22l = new javax.swing.JTextField();
        jTextField23d = new javax.swing.JTextField();
        jTextField24l = new javax.swing.JTextField();
        jTextField23l = new javax.swing.JTextField();
        jTextField29d = new javax.swing.JTextField();
        jTextField29l = new javax.swing.JTextField();
        jTextField30l = new javax.swing.JTextField();
        jTextField31l = new javax.swing.JTextField();
        jTextField31d = new javax.swing.JTextField();
        jTextField32d = new javax.swing.JTextField();
        jTextField24d = new javax.swing.JTextField();
        jTextField32l = new javax.swing.JTextField();
        jTextField64l = new javax.swing.JTextField();
        jTextField64d = new javax.swing.JTextField();
        jTextField63l = new javax.swing.JTextField();
        jTextField63d = new javax.swing.JTextField();
        jTextField62l = new javax.swing.JTextField();
        jTextField62d = new javax.swing.JTextField();
        jTextField61l = new javax.swing.JTextField();
        jTextField61d = new javax.swing.JTextField();
        jTextField56l = new javax.swing.JTextField();
        jTextField56d = new javax.swing.JTextField();
        jTextField55l = new javax.swing.JTextField();
        jTextField55d = new javax.swing.JTextField();
        jTextField54l = new javax.swing.JTextField();
        jTextField54d = new javax.swing.JTextField();
        jTextField53l = new javax.swing.JTextField();
        jTextField53d = new javax.swing.JTextField();
        jTextField48l = new javax.swing.JTextField();
        jTextField48d = new javax.swing.JTextField();
        jTextField47l = new javax.swing.JTextField();
        jTextField47d = new javax.swing.JTextField();
        jTextField46l = new javax.swing.JTextField();
        jTextField46d = new javax.swing.JTextField();
        jTextField45l = new javax.swing.JTextField();
        jTextField45d = new javax.swing.JTextField();
        jTextField39d = new javax.swing.JTextField();
        jTextField40d = new javax.swing.JTextField();
        jTextField40l = new javax.swing.JTextField();
        jTextField39l = new javax.swing.JTextField();
        jTextField38d = new javax.swing.JTextField();
        jTextField38l = new javax.swing.JTextField();
        jTextField37d = new javax.swing.JTextField();
        jTextField37l = new javax.swing.JTextField();
        jButtonModellLoeschen = new javax.swing.JButton();
        jButtonSpeichern = new javax.swing.JButton();
        jButtonDrucken = new javax.swing.JButton();
        jTextFieldPRechtesHerz = new javax.swing.JTextField();
        jLabelPRechtesHerz = new javax.swing.JLabel();
        jButtonLaden = new javax.swing.JButton();
        jLabelKPA2 = new javax.swing.JLabel();
        jLabelDynVisk = new javax.swing.JLabel();
        jLabelPAS = new javax.swing.JLabel();
        jTextFieldDynVisk = new javax.swing.JTextField();
        jLabelPLinkesHerz = new javax.swing.JLabel();
        jLabelKPA1 = new javax.swing.JLabel();
        jTextFieldPLinkesHerz = new javax.swing.JTextField();
        jLabelZetaAbzweig = new javax.swing.JLabel();
        jLabelMMHG1 = new javax.swing.JLabel();
        jTextFieldPLinkesHerzHg = new javax.swing.JTextField();
        jLabelDichte = new javax.swing.JLabel();
        jTextFieldDichte = new javax.swing.JTextField();
        jLabelEinheitDichte = new javax.swing.JLabel();
        jLabelZetaAuslauf = new javax.swing.JLabel();
        jTextFieldZetaAbzweig = new javax.swing.JTextField();
        jTextFieldPRechtesHerzHg = new javax.swing.JTextField();
        jTextFieldZetaAuslauf = new javax.swing.JTextField();
        jLabelMMHG2 = new javax.swing.JLabel();
        jLabelEinheiten = new javax.swing.JLabel();
        jComboBoxEinheiten = new javax.swing.JComboBox();
        jButtonHilfe = new javax.swing.JButton();
        jButtonAbout = new javax.swing.JButton();

        getContentPane().setLayout(new java.awt.GridBagLayout());

        setTitle("SPAS 1.0");
        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                exitForm(evt);
            }
        });

        jLabel01.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel01.setName("00,00");
        jLabel01.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel01, gridBagConstraints);

        jLabel02.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel02.setName("00,01");
        jLabel02.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel02, gridBagConstraints);

        jLabel03.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel03.setName("00,02");
        jLabel03.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel03, gridBagConstraints);

        jLabel04.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel04.setName("00,03");
        jLabel04.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 6;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel04, gridBagConstraints);

        jLabel09.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel09.setName("01,00");
        jLabel09.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel09, gridBagConstraints);

        jLabel10.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel10.setName("01,01");
        jLabel10.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel10, gridBagConstraints);

        jLabel11.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel11.setName("01,02");
        jLabel11.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel11, gridBagConstraints);

        jLabel12.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel12.setName("01,03");
        jLabel12.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 6;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel12, gridBagConstraints);

        jLabel17.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel17.setName("02,00");
        jLabel17.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 7;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel17, gridBagConstraints);

        jLabel18.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel18.setName("02,01");
        jLabel18.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 7;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel18, gridBagConstraints);

        jLabel19.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel19.setName("02,02");
        jLabel19.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 7;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel19, gridBagConstraints);

        jLabel20.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel20.setName("02,03");
        jLabel20.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 6;
        gridBagConstraints.gridy = 7;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel20, gridBagConstraints);

        jLabel25.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel25.setName("03,00");
        jLabel25.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 10;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel25, gridBagConstraints);

        jLabel26.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel26.setName("03,01");
        jLabel26.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 10;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel26, gridBagConstraints);

        jLabel27.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel27.setName("03,02");
        jLabel27.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 10;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel27, gridBagConstraints);

        jLabel28.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel28.setName("03,03");
        jLabel28.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 6;
        gridBagConstraints.gridy = 10;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel28, gridBagConstraints);

        jLabel33.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel33.setName("04,00");
        jLabel33.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 13;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel33, gridBagConstraints);

        jLabel34.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel34.setName("04,01");
        jLabel34.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 13;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel34, gridBagConstraints);

        jLabel35.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel35.setName("04,02");
        jLabel35.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 13;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel35, gridBagConstraints);

        jLabel36.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel36.setName("04,03");
        jLabel36.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 6;
        gridBagConstraints.gridy = 13;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel36, gridBagConstraints);

        jLabel41.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel41.setName("05,00");
        jLabel41.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 16;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel41, gridBagConstraints);

        jLabel42.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel42.setName("05,01");
        jLabel42.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 16;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel42, gridBagConstraints);

        jLabel43.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel43.setName("05,02");
        jLabel43.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 16;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel43, gridBagConstraints);

        jLabel44.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel44.setName("05,03");
        jLabel44.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 6;
        gridBagConstraints.gridy = 16;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel44, gridBagConstraints);

        jLabel49.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel49.setName("06,00");
        jLabel49.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 19;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel49, gridBagConstraints);

        jLabel50.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel50.setName("06,01");
        jLabel50.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 19;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel50, gridBagConstraints);

        jLabel51.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel51.setName("06,02");
        jLabel51.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 19;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel51, gridBagConstraints);

        jLabel52.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel52.setName("06,03");
        jLabel52.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 6;
        gridBagConstraints.gridy = 19;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel52, gridBagConstraints);

        jLabel57.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel57.setName("07,00");
        jLabel57.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 22;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel57, gridBagConstraints);

        jLabel58.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel58.setName("07,01");
        jLabel58.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 22;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel58, gridBagConstraints);

        jLabel59.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel59.setName("07,02");
        jLabel59.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 22;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel59, gridBagConstraints);

        jLabel60.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel60.setName("07,03");
        jLabel60.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 6;
        gridBagConstraints.gridy = 22;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel60, gridBagConstraints);

        jTextField01v.setEditable(false);
        jTextField01v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField01v, gridBagConstraints);

        jTextField02v.setEditable(false);
        jTextField02v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField02v, gridBagConstraints);

        jTextField03v.setEditable(false);
        jTextField03v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField03v, gridBagConstraints);

        jTextField04v.setEditable(false);
        jTextField04v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 6;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField04v, gridBagConstraints);

        jTextField09v.setEditable(false);
        jTextField09v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField09v, gridBagConstraints);

        jTextField10v.setEditable(false);
        jTextField10v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField10v, gridBagConstraints);

        jTextField11v.setEditable(false);
        jTextField11v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField11v, gridBagConstraints);

        jTextField12v.setEditable(false);
        jTextField12v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 6;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField12v, gridBagConstraints);

        jTextField17v.setEditable(false);
        jTextField17v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 6;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField17v, gridBagConstraints);

        jTextField18v.setEditable(false);
        jTextField18v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 6;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField18v, gridBagConstraints);

        jTextField19v.setEditable(false);
        jTextField19v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 6;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField19v, gridBagConstraints);

        jTextField20v.setEditable(false);
        jTextField20v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 6;
        gridBagConstraints.gridy = 6;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField20v, gridBagConstraints);

        jTextField25v.setEditable(false);
        jTextField25v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 9;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField25v, gridBagConstraints);

        jTextField26v.setEditable(false);
        jTextField26v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 9;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField26v, gridBagConstraints);

        jTextField27v.setEditable(false);
        jTextField27v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 9;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField27v, gridBagConstraints);

        jTextField28v.setEditable(false);
        jTextField28v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 6;
        gridBagConstraints.gridy = 9;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField28v, gridBagConstraints);

        jTextField33v.setEditable(false);
        jTextField33v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 12;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField33v, gridBagConstraints);

        jTextField34v.setEditable(false);
        jTextField34v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 12;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField34v, gridBagConstraints);

        jTextField35v.setEditable(false);
        jTextField35v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 12;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField35v, gridBagConstraints);

        jTextField36v.setEditable(false);
        jTextField36v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 6;
        gridBagConstraints.gridy = 12;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField36v, gridBagConstraints);

        jTextField41v.setEditable(false);
        jTextField41v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 15;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField41v, gridBagConstraints);

        jTextField42v.setEditable(false);
        jTextField42v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 15;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField42v, gridBagConstraints);

        jTextField43v.setEditable(false);
        jTextField43v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 15;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField43v, gridBagConstraints);

        jTextField44v.setEditable(false);
        jTextField44v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 6;
        gridBagConstraints.gridy = 15;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField44v, gridBagConstraints);

        jTextField49v.setEditable(false);
        jTextField49v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 18;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField49v, gridBagConstraints);

        jTextField50v.setEditable(false);
        jTextField50v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 18;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField50v, gridBagConstraints);

        jTextField51v.setEditable(false);
        jTextField51v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 18;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField51v, gridBagConstraints);

        jTextField52v.setEditable(false);
        jTextField52v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 6;
        gridBagConstraints.gridy = 18;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField52v, gridBagConstraints);

        jTextField57v.setEditable(false);
        jTextField57v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 21;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField57v, gridBagConstraints);

        jTextField58v.setEditable(false);
        jTextField58v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 21;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField58v, gridBagConstraints);

        jTextField59v.setEditable(false);
        jTextField59v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 21;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField59v, gridBagConstraints);

        jTextField60v.setEditable(false);
        jTextField60v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 6;
        gridBagConstraints.gridy = 21;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField60v, gridBagConstraints);

        jTextField01d.setText("0");
        jTextField01d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField01d, gridBagConstraints);

        jTextField01l.setText("0");
        jTextField01l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField01l, gridBagConstraints);

        jTextField02d.setText("0");
        jTextField02d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField02d, gridBagConstraints);

        jTextField02l.setText("0");
        jTextField02l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 3;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField02l, gridBagConstraints);

        jTextField03d.setText("0");
        jTextField03d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField03d, gridBagConstraints);

        jTextField03l.setText("0");
        jTextField03l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 5;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField03l, gridBagConstraints);

        jTextField04d.setText("0");
        jTextField04d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 6;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField04d, gridBagConstraints);

        jTextField04l.setText("0");
        jTextField04l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 7;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField04l, gridBagConstraints);

        jTextField09d.setText("0");
        jTextField09d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 5;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField09d, gridBagConstraints);

        jLabel05.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel05.setName("00,04");
        jLabel05.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 8;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel05, gridBagConstraints);

        jTextField09l.setText("0");
        jTextField09l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 5;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField09l, gridBagConstraints);

        jTextField10d.setText("0");
        jTextField10d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 5;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField10d, gridBagConstraints);

        jTextField10l.setText("0");
        jTextField10l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 3;
        gridBagConstraints.gridy = 5;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField10l, gridBagConstraints);

        jTextField11d.setText("0");
        jTextField11d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 5;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField11d, gridBagConstraints);

        jTextField11l.setText("0");
        jTextField11l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 5;
        gridBagConstraints.gridy = 5;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField11l, gridBagConstraints);

        jTextField12d.setText("0");
        jTextField12d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 6;
        gridBagConstraints.gridy = 5;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField12d, gridBagConstraints);

        jTextField12l.setText("0");
        jTextField12l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 7;
        gridBagConstraints.gridy = 5;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField12l, gridBagConstraints);

        jTextField17d.setText("0");
        jTextField17d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 8;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField17d, gridBagConstraints);

        jTextField17l.setText("0");
        jTextField17l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 8;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField17l, gridBagConstraints);

        jTextField18d.setText("0");
        jTextField18d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 8;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField18d, gridBagConstraints);

        jTextField18l.setText("0");
        jTextField18l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 3;
        gridBagConstraints.gridy = 8;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField18l, gridBagConstraints);

        jTextField19d.setText("0");
        jTextField19d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 8;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField19d, gridBagConstraints);

        jTextField19l.setText("0");
        jTextField19l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 5;
        gridBagConstraints.gridy = 8;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField19l, gridBagConstraints);

        jTextField20d.setText("0");
        jTextField20d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 6;
        gridBagConstraints.gridy = 8;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField20d, gridBagConstraints);

        jTextField20l.setText("0");
        jTextField20l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 7;
        gridBagConstraints.gridy = 8;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField20l, gridBagConstraints);

        jTextField25d.setText("0");
        jTextField25d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 11;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField25d, gridBagConstraints);

        jTextField25l.setText("0");
        jTextField25l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 11;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField25l, gridBagConstraints);

        jTextField26d.setText("0");
        jTextField26d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 11;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField26d, gridBagConstraints);

        jTextField26l.setText("0");
        jTextField26l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 3;
        gridBagConstraints.gridy = 11;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField26l, gridBagConstraints);

        jTextField27d.setText("0");
        jTextField27d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 11;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField27d, gridBagConstraints);

        jTextField27l.setText("0");
        jTextField27l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 5;
        gridBagConstraints.gridy = 11;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField27l, gridBagConstraints);

        jTextField28d.setText("0");
        jTextField28d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 6;
        gridBagConstraints.gridy = 11;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField28d, gridBagConstraints);

        jTextField28l.setText("0");
        jTextField28l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 7;
        gridBagConstraints.gridy = 11;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField28l, gridBagConstraints);

        jTextField33d.setText("0");
        jTextField33d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 14;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField33d, gridBagConstraints);

        jTextField33l.setText("0");
        jTextField33l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 14;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField33l, gridBagConstraints);

        jTextField34d.setText("0");
        jTextField34d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 14;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField34d, gridBagConstraints);

        jTextField34l.setText("0");
        jTextField34l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 3;
        gridBagConstraints.gridy = 14;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField34l, gridBagConstraints);

        jTextField35d.setText("0");
        jTextField35d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 14;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField35d, gridBagConstraints);

        jTextField35l.setText("0");
        jTextField35l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 5;
        gridBagConstraints.gridy = 14;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField35l, gridBagConstraints);

        jTextField36d.setText("0");
        jTextField36d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 6;
        gridBagConstraints.gridy = 14;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField36d, gridBagConstraints);

        jTextField36l.setText("0");
        jTextField36l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 7;
        gridBagConstraints.gridy = 14;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField36l, gridBagConstraints);

        jTextField41d.setText("0");
        jTextField41d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 17;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField41d, gridBagConstraints);

        jTextField41l.setText("0");
        jTextField41l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 17;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField41l, gridBagConstraints);

        jTextField42d.setText("0");
        jTextField42d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 17;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField42d, gridBagConstraints);

        jTextField42l.setText("0");
        jTextField42l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 3;
        gridBagConstraints.gridy = 17;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField42l, gridBagConstraints);

        jTextField43d.setText("0");
        jTextField43d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 17;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField43d, gridBagConstraints);

        jTextField43l.setText("0");
        jTextField43l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 5;
        gridBagConstraints.gridy = 17;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField43l, gridBagConstraints);

        jTextField44d.setText("0");
        jTextField44d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 6;
        gridBagConstraints.gridy = 17;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField44d, gridBagConstraints);

        jTextField44l.setText("0");
        jTextField44l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 7;
        gridBagConstraints.gridy = 17;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField44l, gridBagConstraints);

        jTextField49d.setText("0");
        jTextField49d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 20;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField49d, gridBagConstraints);

        jTextField49l.setText("0");
        jTextField49l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 20;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField49l, gridBagConstraints);

        jTextField50d.setText("0");
        jTextField50d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 20;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField50d, gridBagConstraints);

        jTextField50l.setText("0");
        jTextField50l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 3;
        gridBagConstraints.gridy = 20;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField50l, gridBagConstraints);

        jTextField51d.setText("0");
        jTextField51d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 20;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField51d, gridBagConstraints);

        jTextField51l.setText("0");
        jTextField51l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 5;
        gridBagConstraints.gridy = 20;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField51l, gridBagConstraints);

        jTextField52d.setText("0");
        jTextField52d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 6;
        gridBagConstraints.gridy = 20;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField52d, gridBagConstraints);

        jTextField52l.setText("0");
        jTextField52l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 7;
        gridBagConstraints.gridy = 20;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField52l, gridBagConstraints);

        jTextField57d.setText("0");
        jTextField57d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 23;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField57d, gridBagConstraints);

        jTextField57l.setText("0");
        jTextField57l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 23;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField57l, gridBagConstraints);

        jTextField58d.setText("0");
        jTextField58d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 23;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField58d, gridBagConstraints);

        jTextField58l.setText("0");
        jTextField58l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 3;
        gridBagConstraints.gridy = 23;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField58l, gridBagConstraints);

        jTextField59d.setText("0");
        jTextField59d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 23;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField59d, gridBagConstraints);

        jTextField59l.setText("0");
        jTextField59l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 5;
        gridBagConstraints.gridy = 23;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField59l, gridBagConstraints);

        jTextField60d.setText("0");
        jTextField60d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 6;
        gridBagConstraints.gridy = 23;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField60d, gridBagConstraints);

        jTextField60l.setText("0");
        jTextField60l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 7;
        gridBagConstraints.gridy = 23;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField60l, gridBagConstraints);

        jButtonBerechnungStarten.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/KUGELN.GIF")));
        jButtonBerechnungStarten.setText("Berechnung starten");
        jButtonBerechnungStarten.setToolTipText("Volumenstr\u00f6me berechnen");
        jButtonBerechnungStarten.setIconTextGap(10);
        jButtonBerechnungStarten.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                buttonKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 16;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.gridwidth = 4;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        getContentPane().add(jButtonBerechnungStarten, gridBagConstraints);

        jLabel06.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel06.setName("00,05");
        jLabel06.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 10;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel06, gridBagConstraints);

        jLabel07.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel07.setName("00,06");
        jLabel07.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 12;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel07, gridBagConstraints);

        jLabel08.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel08.setName("00,07");
        jLabel08.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 14;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel08, gridBagConstraints);

        jLabel13.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel13.setName("01,04");
        jLabel13.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 8;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel13, gridBagConstraints);

        jLabel15.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel15.setName("01,06");
        jLabel15.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 12;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel15, gridBagConstraints);

        jLabel16.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel16.setName("01,07");
        jLabel16.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 14;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel16, gridBagConstraints);

        jLabel21.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel21.setName("02,04");
        jLabel21.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 8;
        gridBagConstraints.gridy = 7;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel21, gridBagConstraints);

        jLabel14.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel14.setName("01,05");
        jLabel14.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 10;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel14, gridBagConstraints);

        jLabel22.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel22.setName("02,05");
        jLabel22.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 10;
        gridBagConstraints.gridy = 7;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel22, gridBagConstraints);

        jLabel23.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel23.setName("02,06");
        jLabel23.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 12;
        gridBagConstraints.gridy = 7;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel23, gridBagConstraints);

        jLabel29.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel29.setName("03,04");
        jLabel29.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 8;
        gridBagConstraints.gridy = 10;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel29, gridBagConstraints);

        jLabel31.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel31.setName("03,06");
        jLabel31.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 12;
        gridBagConstraints.gridy = 10;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel31, gridBagConstraints);

        jLabel24.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel24.setName("02,07");
        jLabel24.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 14;
        gridBagConstraints.gridy = 7;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel24, gridBagConstraints);

        jLabel30.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel30.setName("03,05");
        jLabel30.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 10;
        gridBagConstraints.gridy = 10;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel30, gridBagConstraints);

        jLabel32.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel32.setName("03,07");
        jLabel32.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 14;
        gridBagConstraints.gridy = 10;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel32, gridBagConstraints);

        jLabel37.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel37.setName("04,04");
        jLabel37.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 8;
        gridBagConstraints.gridy = 13;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel37, gridBagConstraints);

        jLabel38.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel38.setName("04,05");
        jLabel38.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 10;
        gridBagConstraints.gridy = 13;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel38, gridBagConstraints);

        jLabel39.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel39.setName("04,06");
        jLabel39.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 12;
        gridBagConstraints.gridy = 13;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel39, gridBagConstraints);

        jLabel40.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel40.setName("04,07");
        jLabel40.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 14;
        gridBagConstraints.gridy = 13;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel40, gridBagConstraints);

        jLabel45.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel45.setName("05,04");
        jLabel45.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 8;
        gridBagConstraints.gridy = 16;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel45, gridBagConstraints);

        jLabel46.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel46.setName("05,05");
        jLabel46.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 10;
        gridBagConstraints.gridy = 16;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel46, gridBagConstraints);

        jLabel47.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel47.setName("05,06");
        jLabel47.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 12;
        gridBagConstraints.gridy = 16;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel47, gridBagConstraints);

        jLabel48.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel48.setName("05,07");
        jLabel48.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 14;
        gridBagConstraints.gridy = 16;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel48, gridBagConstraints);

        jLabel53.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel53.setName("06,04");
        jLabel53.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 8;
        gridBagConstraints.gridy = 19;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel53, gridBagConstraints);

        jLabel54.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel54.setName("06,05");
        jLabel54.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 10;
        gridBagConstraints.gridy = 19;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel54, gridBagConstraints);

        jLabel55.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel55.setName("06,06");
        jLabel55.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 12;
        gridBagConstraints.gridy = 19;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel55, gridBagConstraints);

        jLabel56.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel56.setName("06,07");
        jLabel56.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 14;
        gridBagConstraints.gridy = 19;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel56, gridBagConstraints);

        jLabel61.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel61.setName("07,04");
        jLabel61.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 8;
        gridBagConstraints.gridy = 22;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel61, gridBagConstraints);

        jLabel62.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel62.setName("07,05");
        jLabel62.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 10;
        gridBagConstraints.gridy = 22;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel62, gridBagConstraints);

        jLabel63.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel63.setName("07,06");
        jLabel63.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 12;
        gridBagConstraints.gridy = 22;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel63, gridBagConstraints);

        jLabel64.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/LEER.JPG")));
        jLabel64.setName("07,07");
        jLabel64.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                mausKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 14;
        gridBagConstraints.gridy = 22;
        gridBagConstraints.gridwidth = 2;
        getContentPane().add(jLabel64, gridBagConstraints);

        jTextField05v.setEditable(false);
        jTextField05v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 8;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField05v, gridBagConstraints);

        jTextField06v.setEditable(false);
        jTextField06v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 10;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField06v, gridBagConstraints);

        jTextField07v.setEditable(false);
        jTextField07v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 12;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField07v, gridBagConstraints);

        jTextField08v.setEditable(false);
        jTextField08v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 14;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField08v, gridBagConstraints);

        jTextField13v.setEditable(false);
        jTextField13v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 8;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField13v, gridBagConstraints);

        jTextField14v.setEditable(false);
        jTextField14v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 10;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField14v, gridBagConstraints);

        jTextField15v.setEditable(false);
        jTextField15v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 12;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField15v, gridBagConstraints);

        jTextField16v.setEditable(false);
        jTextField16v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 14;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField16v, gridBagConstraints);

        jTextField21v.setEditable(false);
        jTextField21v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 8;
        gridBagConstraints.gridy = 6;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField21v, gridBagConstraints);

        jTextField22v.setEditable(false);
        jTextField22v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 10;
        gridBagConstraints.gridy = 6;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField22v, gridBagConstraints);

        jTextField23v.setEditable(false);
        jTextField23v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 12;
        gridBagConstraints.gridy = 6;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField23v, gridBagConstraints);

        jTextField24v.setEditable(false);
        jTextField24v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 14;
        gridBagConstraints.gridy = 6;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField24v, gridBagConstraints);

        jTextField29v.setEditable(false);
        jTextField29v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 8;
        gridBagConstraints.gridy = 9;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField29v, gridBagConstraints);

        jTextField30v.setEditable(false);
        jTextField30v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 10;
        gridBagConstraints.gridy = 9;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField30v, gridBagConstraints);

        jTextField31v.setEditable(false);
        jTextField31v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 12;
        gridBagConstraints.gridy = 9;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField31v, gridBagConstraints);

        jTextField32v.setEditable(false);
        jTextField32v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 14;
        gridBagConstraints.gridy = 9;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField32v, gridBagConstraints);

        jTextField37v.setEditable(false);
        jTextField37v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 8;
        gridBagConstraints.gridy = 12;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField37v, gridBagConstraints);

        jTextField39v.setEditable(false);
        jTextField39v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 12;
        gridBagConstraints.gridy = 12;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField39v, gridBagConstraints);

        jTextField40v.setEditable(false);
        jTextField40v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 14;
        gridBagConstraints.gridy = 12;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField40v, gridBagConstraints);

        jTextField45v.setEditable(false);
        jTextField45v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 8;
        gridBagConstraints.gridy = 15;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField45v, gridBagConstraints);

        jTextField38v.setEditable(false);
        jTextField38v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 10;
        gridBagConstraints.gridy = 12;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField38v, gridBagConstraints);

        jTextField46v.setEditable(false);
        jTextField46v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 10;
        gridBagConstraints.gridy = 15;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField46v, gridBagConstraints);

        jTextField47v.setEditable(false);
        jTextField47v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 12;
        gridBagConstraints.gridy = 15;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField47v, gridBagConstraints);

        jTextField48v.setEditable(false);
        jTextField48v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 14;
        gridBagConstraints.gridy = 15;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField48v, gridBagConstraints);

        jTextField53v.setEditable(false);
        jTextField53v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 8;
        gridBagConstraints.gridy = 18;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField53v, gridBagConstraints);

        jTextField54v.setEditable(false);
        jTextField54v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 10;
        gridBagConstraints.gridy = 18;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField54v, gridBagConstraints);

        jTextField55v.setEditable(false);
        jTextField55v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 12;
        gridBagConstraints.gridy = 18;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField55v, gridBagConstraints);

        jTextField56v.setEditable(false);
        jTextField56v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 14;
        gridBagConstraints.gridy = 18;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField56v, gridBagConstraints);

        jTextField61v.setEditable(false);
        jTextField61v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 8;
        gridBagConstraints.gridy = 21;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField61v, gridBagConstraints);

        jTextField62v.setEditable(false);
        jTextField62v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 10;
        gridBagConstraints.gridy = 21;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField62v, gridBagConstraints);

        jTextField63v.setEditable(false);
        jTextField63v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 12;
        gridBagConstraints.gridy = 21;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField63v, gridBagConstraints);

        jTextField64v.setEditable(false);
        jTextField64v.setText("0");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 14;
        gridBagConstraints.gridy = 21;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jTextField64v, gridBagConstraints);

        jTextField05d.setText("0");
        jTextField05d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 8;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField05d, gridBagConstraints);

        jTextField30d.setText("0");
        jTextField30d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 10;
        gridBagConstraints.gridy = 11;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField30d, gridBagConstraints);

        jTextField05l.setText("0");
        jTextField05l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 9;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField05l, gridBagConstraints);

        jTextField06d.setText("0");
        jTextField06d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 10;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField06d, gridBagConstraints);

        jTextField06l.setText("0");
        jTextField06l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 11;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField06l, gridBagConstraints);

        jTextField07d.setText("0");
        jTextField07d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 12;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField07d, gridBagConstraints);

        jTextField07l.setText("0");
        jTextField07l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 13;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField07l, gridBagConstraints);

        jTextField08d.setText("0");
        jTextField08d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 14;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField08d, gridBagConstraints);

        jTextField08l.setText("0");
        jTextField08l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 15;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField08l, gridBagConstraints);

        jTextField13d.setText("0");
        jTextField13d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 8;
        gridBagConstraints.gridy = 5;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField13d, gridBagConstraints);

        jTextField13l.setText("0");
        jTextField13l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 9;
        gridBagConstraints.gridy = 5;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField13l, gridBagConstraints);

        jTextField14d.setText("0");
        jTextField14d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 10;
        gridBagConstraints.gridy = 5;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField14d, gridBagConstraints);

        jTextField14l.setText("0");
        jTextField14l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 11;
        gridBagConstraints.gridy = 5;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField14l, gridBagConstraints);

        jTextField15d.setText("0");
        jTextField15d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 12;
        gridBagConstraints.gridy = 5;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField15d, gridBagConstraints);

        jTextField15l.setText("0");
        jTextField15l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 13;
        gridBagConstraints.gridy = 5;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField15l, gridBagConstraints);

        jTextField16d.setText("0");
        jTextField16d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 14;
        gridBagConstraints.gridy = 5;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField16d, gridBagConstraints);

        jTextField16l.setText("0");
        jTextField16l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 15;
        gridBagConstraints.gridy = 5;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField16l, gridBagConstraints);

        jTextField21d.setText("0");
        jTextField21d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 8;
        gridBagConstraints.gridy = 8;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField21d, gridBagConstraints);

        jTextField21l.setText("0");
        jTextField21l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 9;
        gridBagConstraints.gridy = 8;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField21l, gridBagConstraints);

        jTextField22d.setText("0");
        jTextField22d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 10;
        gridBagConstraints.gridy = 8;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField22d, gridBagConstraints);

        jTextField22l.setText("0");
        jTextField22l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 11;
        gridBagConstraints.gridy = 8;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField22l, gridBagConstraints);

        jTextField23d.setText("0");
        jTextField23d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 12;
        gridBagConstraints.gridy = 8;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField23d, gridBagConstraints);

        jTextField24l.setText("0");
        jTextField24l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 15;
        gridBagConstraints.gridy = 8;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField24l, gridBagConstraints);

        jTextField23l.setText("0");
        jTextField23l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 13;
        gridBagConstraints.gridy = 8;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField23l, gridBagConstraints);

        jTextField29d.setText("0");
        jTextField29d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 8;
        gridBagConstraints.gridy = 11;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField29d, gridBagConstraints);

        jTextField29l.setText("0");
        jTextField29l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 9;
        gridBagConstraints.gridy = 11;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField29l, gridBagConstraints);

        jTextField30l.setText("0");
        jTextField30l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 11;
        gridBagConstraints.gridy = 11;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField30l, gridBagConstraints);

        jTextField31l.setText("0");
        jTextField31l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 13;
        gridBagConstraints.gridy = 11;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField31l, gridBagConstraints);

        jTextField31d.setText("0");
        jTextField31d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 12;
        gridBagConstraints.gridy = 11;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField31d, gridBagConstraints);

        jTextField32d.setText("0");
        jTextField32d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 14;
        gridBagConstraints.gridy = 11;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField32d, gridBagConstraints);

        jTextField24d.setText("0");
        jTextField24d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 14;
        gridBagConstraints.gridy = 8;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField24d, gridBagConstraints);

        jTextField32l.setText("0");
        jTextField32l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 15;
        gridBagConstraints.gridy = 11;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField32l, gridBagConstraints);

        jTextField64l.setText("0");
        jTextField64l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 15;
        gridBagConstraints.gridy = 23;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField64l, gridBagConstraints);

        jTextField64d.setText("0");
        jTextField64d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 14;
        gridBagConstraints.gridy = 23;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField64d, gridBagConstraints);

        jTextField63l.setText("0");
        jTextField63l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 13;
        gridBagConstraints.gridy = 23;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField63l, gridBagConstraints);

        jTextField63d.setText("0");
        jTextField63d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 12;
        gridBagConstraints.gridy = 23;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField63d, gridBagConstraints);

        jTextField62l.setText("0");
        jTextField62l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 11;
        gridBagConstraints.gridy = 23;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField62l, gridBagConstraints);

        jTextField62d.setText("0");
        jTextField62d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 10;
        gridBagConstraints.gridy = 23;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField62d, gridBagConstraints);

        jTextField61l.setText("0");
        jTextField61l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 9;
        gridBagConstraints.gridy = 23;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField61l, gridBagConstraints);

        jTextField61d.setText("0");
        jTextField61d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 8;
        gridBagConstraints.gridy = 23;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField61d, gridBagConstraints);

        jTextField56l.setText("0");
        jTextField56l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 15;
        gridBagConstraints.gridy = 20;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField56l, gridBagConstraints);

        jTextField56d.setText("0");
        jTextField56d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 14;
        gridBagConstraints.gridy = 20;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField56d, gridBagConstraints);

        jTextField55l.setText("0");
        jTextField55l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 13;
        gridBagConstraints.gridy = 20;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField55l, gridBagConstraints);

        jTextField55d.setText("0");
        jTextField55d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 12;
        gridBagConstraints.gridy = 20;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField55d, gridBagConstraints);

        jTextField54l.setText("0");
        jTextField54l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 11;
        gridBagConstraints.gridy = 20;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField54l, gridBagConstraints);

        jTextField54d.setText("0");
        jTextField54d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 10;
        gridBagConstraints.gridy = 20;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField54d, gridBagConstraints);

        jTextField53l.setText("0");
        jTextField53l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 9;
        gridBagConstraints.gridy = 20;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField53l, gridBagConstraints);

        jTextField53d.setText("0");
        jTextField53d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 8;
        gridBagConstraints.gridy = 20;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField53d, gridBagConstraints);

        jTextField48l.setText("0");
        jTextField48l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 15;
        gridBagConstraints.gridy = 17;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField48l, gridBagConstraints);

        jTextField48d.setText("0");
        jTextField48d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 14;
        gridBagConstraints.gridy = 17;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField48d, gridBagConstraints);

        jTextField47l.setText("0");
        jTextField47l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 13;
        gridBagConstraints.gridy = 17;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField47l, gridBagConstraints);

        jTextField47d.setText("0");
        jTextField47d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 12;
        gridBagConstraints.gridy = 17;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField47d, gridBagConstraints);

        jTextField46l.setText("0");
        jTextField46l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 11;
        gridBagConstraints.gridy = 17;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField46l, gridBagConstraints);

        jTextField46d.setText("0");
        jTextField46d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 10;
        gridBagConstraints.gridy = 17;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField46d, gridBagConstraints);

        jTextField45l.setText("0");
        jTextField45l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 9;
        gridBagConstraints.gridy = 17;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField45l, gridBagConstraints);

        jTextField45d.setText("0");
        jTextField45d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 8;
        gridBagConstraints.gridy = 17;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField45d, gridBagConstraints);

        jTextField39d.setText("0");
        jTextField39d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 12;
        gridBagConstraints.gridy = 14;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField39d, gridBagConstraints);

        jTextField40d.setText("0");
        jTextField40d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 14;
        gridBagConstraints.gridy = 14;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField40d, gridBagConstraints);

        jTextField40l.setText("0");
        jTextField40l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 15;
        gridBagConstraints.gridy = 14;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField40l, gridBagConstraints);

        jTextField39l.setText("0");
        jTextField39l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 13;
        gridBagConstraints.gridy = 14;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField39l, gridBagConstraints);

        jTextField38d.setText("0");
        jTextField38d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 10;
        gridBagConstraints.gridy = 14;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField38d, gridBagConstraints);

        jTextField38l.setText("0");
        jTextField38l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 11;
        gridBagConstraints.gridy = 14;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField38l, gridBagConstraints);

        jTextField37d.setText("0");
        jTextField37d.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 8;
        gridBagConstraints.gridy = 14;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField37d, gridBagConstraints);

        jTextField37l.setText("0");
        jTextField37l.setEnabled(false);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 9;
        gridBagConstraints.gridy = 14;
        gridBagConstraints.fill = java.awt.GridBagConstraints.VERTICAL;
        gridBagConstraints.ipadx = 35;
        getContentPane().add(jTextField37l, gridBagConstraints);

        jButtonModellLoeschen.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/WISCHER.GIF")));
        jButtonModellLoeschen.setText("Bildschirm l\u00f6schen");
        jButtonModellLoeschen.setToolTipText("Alle Einstellungen l\u00f6schen");
        jButtonModellLoeschen.setIconTextGap(10);
        jButtonModellLoeschen.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                buttonKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 16;
        gridBagConstraints.gridy = 7;
        gridBagConstraints.gridwidth = 4;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        getContentPane().add(jButtonModellLoeschen, gridBagConstraints);

        jButtonSpeichern.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/speichern.gif")));
        jButtonSpeichern.setText("Modell speichern");
        jButtonSpeichern.setToolTipText("Modell und Einstellungen in einer Datei speichern");
        jButtonSpeichern.setIconTextGap(15);
        jButtonSpeichern.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                buttonKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 16;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.gridwidth = 4;
        gridBagConstraints.gridheight = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        getContentPane().add(jButtonSpeichern, gridBagConstraints);

        jButtonDrucken.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/DRUCKEN.GIF")));
        jButtonDrucken.setText("Modell drucken");
        jButtonDrucken.setToolTipText("Ergebnisse drucken");
        jButtonDrucken.setIconTextGap(20);
        jButtonDrucken.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                buttonKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 16;
        gridBagConstraints.gridy = 5;
        gridBagConstraints.gridwidth = 4;
        gridBagConstraints.gridheight = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        getContentPane().add(jButtonDrucken, gridBagConstraints);

        jTextFieldPRechtesHerz.setToolTipText("mittlerer Blutdruck hinter dem rechten Herzen");
        jTextFieldPRechtesHerz.setPreferredSize(new java.awt.Dimension(60, 20));
        jTextFieldPRechtesHerz.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyReleased(java.awt.event.KeyEvent evt) {
                konvertiereEinheit(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 18;
        gridBagConstraints.gridy = 20;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.weightx = 0.5;
        getContentPane().add(jTextFieldPRechtesHerz, gridBagConstraints);

        jLabelPRechtesHerz.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/pRechtesHerz.gif")));
        jLabelPRechtesHerz.setToolTipText("mittlerer Blutdruck hinter dem rechten Herzen");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 18;
        gridBagConstraints.gridy = 19;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        getContentPane().add(jLabelPRechtesHerz, gridBagConstraints);

        jButtonLaden.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/OEFFNEN.GIF")));
        jButtonLaden.setText("Modell laden");
        jButtonLaden.setToolTipText("Modell und Einstellungen aus einer Datei laden");
        jButtonLaden.setIconTextGap(35);
        jButtonLaden.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                buttonKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 16;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.gridwidth = 4;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        getContentPane().add(jButtonLaden, gridBagConstraints);

        jLabelKPA2.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabelKPA2.setText("[kPa]");
        jLabelKPA2.setMaximumSize(new java.awt.Dimension(40, 16));
        jLabelKPA2.setMinimumSize(new java.awt.Dimension(40, 16));
        jLabelKPA2.setPreferredSize(new java.awt.Dimension(40, 16));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 19;
        gridBagConstraints.gridy = 20;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        getContentPane().add(jLabelKPA2, gridBagConstraints);

        jLabelDynVisk.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/ETA.GIF")));
        jLabelDynVisk.setToolTipText("dynamische Viskosit\u00e4t der Fl\u00fcssigkeit");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 16;
        gridBagConstraints.gridy = 22;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        getContentPane().add(jLabelDynVisk, gridBagConstraints);

        jLabelPAS.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabelPAS.setText("[Pas]");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 17;
        gridBagConstraints.gridy = 23;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        getContentPane().add(jLabelPAS, gridBagConstraints);

        jTextFieldDynVisk.setText("5E-3");
        jTextFieldDynVisk.setToolTipText("dynamische Viskosit\u00e4t der Fl\u00fcssigkeit");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 16;
        gridBagConstraints.gridy = 23;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.weightx = 0.5;
        getContentPane().add(jTextFieldDynVisk, gridBagConstraints);

        jLabelPLinkesHerz.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/pLinkesHerz.gif")));
        jLabelPLinkesHerz.setToolTipText("mittlerer Blutdruck hinter dem linken Herzen");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 16;
        gridBagConstraints.gridy = 19;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        getContentPane().add(jLabelPLinkesHerz, gridBagConstraints);

        jLabelKPA1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabelKPA1.setText("[kPa]");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 17;
        gridBagConstraints.gridy = 20;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        getContentPane().add(jLabelKPA1, gridBagConstraints);

        jTextFieldPLinkesHerz.setToolTipText("mittlerer Blutdruck hinter dem linken Herzen");
        jTextFieldPLinkesHerz.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyReleased(java.awt.event.KeyEvent evt) {
                konvertiereEinheit(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 16;
        gridBagConstraints.gridy = 20;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.weightx = 0.5;
        getContentPane().add(jTextFieldPLinkesHerz, gridBagConstraints);

        jLabelZetaAbzweig.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/zetaAbzweig.gif")));
        jLabelZetaAbzweig.setToolTipText("Widerstandszahl f\u00fcr Verzweigungen");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 16;
        gridBagConstraints.gridy = 16;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        getContentPane().add(jLabelZetaAbzweig, gridBagConstraints);

        jLabelMMHG1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabelMMHG1.setText("[mmHg]");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 17;
        gridBagConstraints.gridy = 21;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        getContentPane().add(jLabelMMHG1, gridBagConstraints);

        jTextFieldPLinkesHerzHg.setText("100");
        jTextFieldPLinkesHerzHg.setToolTipText("mittlerer Blutdruck hinter dem linken Herzen");
        jTextFieldPLinkesHerzHg.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyReleased(java.awt.event.KeyEvent evt) {
                konvertiereEinheit(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 16;
        gridBagConstraints.gridy = 21;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.weightx = 0.5;
        getContentPane().add(jTextFieldPLinkesHerzHg, gridBagConstraints);

        jLabelDichte.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/RHO.GIF")));
        jLabelDichte.setToolTipText("Dichte der Fl\u00fcssigkeit");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 18;
        gridBagConstraints.gridy = 22;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        getContentPane().add(jLabelDichte, gridBagConstraints);

        jTextFieldDichte.setText("995");
        jTextFieldDichte.setToolTipText("Dichte der Fl\u00fcssigkeit");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 18;
        gridBagConstraints.gridy = 23;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.weightx = 0.5;
        getContentPane().add(jTextFieldDichte, gridBagConstraints);

        jLabelEinheitDichte.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabelEinheitDichte.setText("[kg/m\u00b3]");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 19;
        gridBagConstraints.gridy = 23;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        getContentPane().add(jLabelEinheitDichte, gridBagConstraints);

        jLabelZetaAuslauf.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/zetaAuslauf.gif")));
        jLabelZetaAuslauf.setToolTipText("Widerstandszahl f\u00fcr offene Ausl\u00e4ufe");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 18;
        gridBagConstraints.gridy = 16;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        getContentPane().add(jLabelZetaAuslauf, gridBagConstraints);

        jTextFieldZetaAbzweig.setText("0");
        jTextFieldZetaAbzweig.setToolTipText("Widerstandszahl f\u00fcr Verzweigungen");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 16;
        gridBagConstraints.gridy = 17;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.weightx = 0.5;
        getContentPane().add(jTextFieldZetaAbzweig, gridBagConstraints);

        jTextFieldPRechtesHerzHg.setText("14");
        jTextFieldPRechtesHerzHg.setToolTipText("mittlerer Blutdruck hinter dem rechten Herzen");
        jTextFieldPRechtesHerzHg.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyReleased(java.awt.event.KeyEvent evt) {
                konvertiereEinheit(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 18;
        gridBagConstraints.gridy = 21;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.weightx = 0.5;
        getContentPane().add(jTextFieldPRechtesHerzHg, gridBagConstraints);

        jTextFieldZetaAuslauf.setText("1.0");
        jTextFieldZetaAuslauf.setToolTipText("Widerstandszahl f\u00fcr offene Ausl\u00e4ufe");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 18;
        gridBagConstraints.gridy = 17;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.weightx = 0.5;
        getContentPane().add(jTextFieldZetaAuslauf, gridBagConstraints);

        jLabelMMHG2.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabelMMHG2.setText("[mmHg]");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 19;
        gridBagConstraints.gridy = 21;
        getContentPane().add(jLabelMMHG2, gridBagConstraints);

        jLabelEinheiten.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/vEinheit.gif")));
        jLabelEinheiten.setToolTipText("Ausgabeeinheit des Volumenstromes");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 16;
        gridBagConstraints.gridy = 13;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        getContentPane().add(jLabelEinheiten, gridBagConstraints);

        jComboBoxEinheiten.setToolTipText("Ausgabeeinheit des Volumenstromes");
        jComboBoxEinheiten.addItemListener(new java.awt.event.ItemListener() {
            public void itemStateChanged(java.awt.event.ItemEvent evt) {
                einheitGewechselt(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 16;
        gridBagConstraints.gridy = 14;
        gridBagConstraints.gridwidth = 4;
        gridBagConstraints.gridheight = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        getContentPane().add(jComboBoxEinheiten, gridBagConstraints);

        jButtonHilfe.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Ressourcen/HILFE.GIF")));
        jButtonHilfe.setText("Hilfe");
        jButtonHilfe.setIconTextGap(50);
        jButtonHilfe.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                buttonKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 16;
        gridBagConstraints.gridy = 8;
        gridBagConstraints.gridwidth = 4;
        gridBagConstraints.gridheight = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        getContentPane().add(jButtonHilfe, gridBagConstraints);

        jButtonAbout.setText("\u00dcber das Programm");
        jButtonAbout.setToolTipText("Version, Autor ...");
        jButtonAbout.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                buttonKlick(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridwidth = 4;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        getContentPane().add(jButtonAbout, gridBagConstraints);

        pack();
    }//GEN-END:initComponents
    
    /** Event Handling bei Wahl einer anderen Einheit.
     * Diese Methode wird aufgerufen, wenn der Benutzer eine andere physikalische
     * Einheit für den Volumenstrom wählt. Die Methode ruft "schreibe Daten()"
     * auf.
     */
    private void einheitGewechselt(java.awt.event.ItemEvent evt) {//GEN-FIRST:event_einheitGewechselt
        schreibeDaten();
    }//GEN-LAST:event_einheitGewechselt

    /** Event Handling bei Änderung einer Druckangabe.
     * Wird der Inhalt eines der Eingabefelder für den Druck verändert, so muss
     * der Inhalt des korrespondierenden Feldes mit der jeweils anderen Einheit
     * angepasst werden. Deshalb ruft diese Methode 
     * "einheitUmrechnen(javax.swing.JTextField jTextField)" auf.
     */
    private void konvertiereEinheit(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_konvertiereEinheit
        einheitUmrechnen((javax.swing.JTextField) evt.getSource());
    }//GEN-LAST:event_konvertiereEinheit
    
    /** Umrechnung eines der Druckeingabewerte zwischen mmHg und kPa. 
     *@param textField Eines der vier Eingabefelder für Drücke.
     */
    private void einheitUmrechnen(javax.swing.JTextField textFeld) {
        try {
            if(Double.parseDouble(textFeld.getText()) <= 0)
                ungueltigesZahlenformat();
            else if (textFeld == jTextFieldPLinkesHerz) {
                double pkPa = 
                Double.parseDouble(jTextFieldPLinkesHerz.getText());
                double pmmHg = pkPa / 133.3224E-3;
                jTextFieldPLinkesHerzHg.setText(String.valueOf(pmmHg));
                jTextFieldPLinkesHerzHg.updateUI();
            }
            else if (textFeld == jTextFieldPLinkesHerzHg) {
                double pmmHg = 
                Double.parseDouble(jTextFieldPLinkesHerzHg.getText());
                double pkPa = pmmHg * 133.3224E-3;
                jTextFieldPLinkesHerz.setText(String.valueOf(pkPa));
                jTextFieldPLinkesHerz.updateUI();
            }
            else if (textFeld == jTextFieldPRechtesHerz) {
                double pkPa = 
                Double.parseDouble(jTextFieldPRechtesHerz.getText());
                double pmmHg = pkPa / 133.3224E-3;
                jTextFieldPRechtesHerzHg.setText(String.valueOf(pmmHg));
                jTextFieldPRechtesHerzHg.updateUI();
            }
            else if (textFeld == jTextFieldPRechtesHerzHg) {
                double pmmHg = 
                Double.parseDouble(jTextFieldPRechtesHerzHg.getText());
                double pkPa = pmmHg * 133.3224E-3;
                jTextFieldPRechtesHerz.setText(String.valueOf(pkPa));
                jTextFieldPRechtesHerz.updateUI();
            }
        }
        catch(NumberFormatException nfe) {
            ungueltigesZahlenformat();
        }       
    }
    
    /** Event Handling aller Buttons.
     */
    private void buttonKlick(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_buttonKlick
        if (evt.getSource() == jButtonAbout) about();
        if (evt.getSource() == jButtonBerechnungStarten) berechneFluss();
        if (evt.getSource() == jButtonModellLoeschen) modellLoeschen();
        // Das Drucken muss im Hintergrund erfolgen, da sonst keine weiteren
        // Dialogfenster angezeigt werden können. Multithreding wird hier in
        // seiner einfachsten Art als SwingWorker thread implementiert.
        if (evt.getSource() == jButtonDrucken) {
            final SwingWorker worker = new SwingWorker() {
                public Object construct() {
                    pjob = PrinterJob.getPrinterJob();
                    druckTitel = titelEingeben();
                    if (setupPageFormat()) {
                        if (setupJobOptions()) {
                            try {
                                modellDrucken();
                            }
                            catch(PrinterException pe) {
                                druckFehlgeschlagen();
                            }
                        }
                    }
                    // Da die Klasse SwingWorker vom Typ Objekt ist, muss 
                    // irgendein (!) Objekt übergeben werden.
                    // Hier einfach ein leeres Objekt vom Typ icon
                    ImageIcon empty = null;
                    return(empty);
                }
            };
            worker.start();
        }
        if (evt.getSource() == jButtonSpeichern) dateiSpeichern();
        if (evt.getSource() == jButtonLaden) dateiOeffnen();
        if (evt.getSource() == jButtonHilfe) starteHilfe();
    }//GEN-LAST:event_buttonKlick

    /** Event Handling für Gefäßnetzwerklabel.
     * Das Gefässnetzwerk wird durch ein Feld von Labels repräsentiert. Jedes
     * Label kann je nach Zustand verschiedene Abbildungen anzeigen. Wird mit
     * der linken Maustaste auf ein Label geklickt, wird sein Status um Eins
     * erhöht und das entsprechende Icon angezeigt.
     */
    private void mausKlick(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_mausKlick
        String name = evt.getComponent().getName();
        wechsleStatus(
        (javax.swing.JLabel) label.get(name),
        (javax.swing.JTextField) textD.get(name),
        (javax.swing.JTextField) textL.get(name), 
        Integer.parseInt(name.substring(0,2)), 
        Integer.parseInt(name.substring(3,5)));
    }//GEN-LAST:event_mausKlick
    
    /** Schließt das Programm und beendet die Laufzeitumgebung. */
    private void exitForm(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_exitForm
        System.exit(0);
    }//GEN-LAST:event_exitForm
    
    /** Ausführbare Main-Klasse.
     * @param args Komandozeilen Argumente. Es sind keine Komandozeilen
     * Argumente implementiert.
     */
    public static void main(String args[]) {
        new JFrame().setVisible(true);
    }
    
    /** Wechselt den Status eines Netzwerkbausteins.
     * Diese Klasse setzt den Status eines Labels um Eins weiter und passt das
     * Icon an. Die Farbe der assoziierten Textfelder wird ebenfalls angepasst.
     * @param b Das Label
     * @param d Das assoziierte Durchmesser Textfeld.
     * @param l Das assoziierte Länge Textfeld.
     * @param i Die vertikale Koordinate des Labels.
     * @parma j Die horizontale Koordinate des Labels.
     */ 
    private void wechsleStatus(javax.swing.JLabel b,
    javax.swing.JTextField d, javax.swing.JTextField l, int i, int j) {
        switch(status[i][j]) {
            case 0: 
                b.setIcon(new javax.swing.ImageIcon(getClass().getResource
                ("/Ressourcen/rohr_u.jpg")));
                status[i][j] = 1;
                d.setEnabled(true);
                d.setBackground(Color.orange);
                l.setEnabled(true);
                l.setBackground(Color.orange);
                break;
            case 1: 
                b.setIcon(new javax.swing.ImageIcon(getClass().getResource
                ("/Ressourcen/shunt_u.jpg")));
                status[i][j] = 2;
                d.setEnabled(true);
                d.setBackground(Color.orange);
                l.setEnabled(true);
                l.setBackground(Color.orange);
                break;
            case 2: 
                b.setIcon(new javax.swing.ImageIcon(getClass().getResource
                ("/Ressourcen/baum_u.jpg")));
                status[i][j] = 3;
                d.setEnabled(true);
                d.setBackground(Color.orange);
                l.setEnabled(false);
                l.setBackground(Color.white);
                break;
            case 3: 
                b.setIcon(new javax.swing.ImageIcon(getClass().getResource
                ("/Ressourcen/rohr_o.jpg")));
                status[i][j] = 4;
                d.setEnabled(true);
                d.setBackground(Color.orange);
                l.setEnabled(true);
                l.setBackground(Color.orange);
                break;
            case 4: 
                b.setIcon(new javax.swing.ImageIcon(getClass().getResource
                ("/Ressourcen/shunt_o.jpg")));
                status[i][j] = 5;
                d.setEnabled(true);
                d.setBackground(Color.orange);
                l.setEnabled(true);
                l.setBackground(Color.orange);
                break;
            case 5: 
                b.setIcon(new javax.swing.ImageIcon(getClass().getResource
                ("/Ressourcen/baum_o.jpg")));
                status[i][j] = 6;
                d.setEnabled(true);
                d.setBackground(Color.orange);
                l.setEnabled(false);
                l.setBackground(Color.white);
                break;
            case 6: 
                b.setIcon(new javax.swing.ImageIcon(getClass().getResource
                ("/Ressourcen/LEER.JPG")));
                status[i][j] = 0;
                d.setEnabled(false);
                d.setBackground(Color.white);
                l.setEnabled(false);
                l.setBackground(Color.white);
                break;
            default:
                status[i][j] = 6;
        }
    }
    
    /** Berechnet den Volumenstrom durch das Netzwerkmodell.
     * Die Berechnung erfolgt rekursiev nach dem selben Muster wie die Berechnung
     * des Ersatzwiderstands.
     */
    private void berechneFluss() {
        for (int i = 0; i < IMAX; ++i)
            for (int j = 0; j < JMAX; ++j) {
                volumenstrom[i][j] = 0;
            }
        boolean kurzschluss = sucheKurzschluss();
        try {
            leseEingaben();
            boolean fehlendesMass = sucheFehlendesMass();
            int[] anfang = sucheAnfang();
            if (anfang[0] == -1) keinModell();
            else if (kurzschluss == true) kurzschluss();
            else if (fehlendesMass == true) ungueltigeGeometrie();
            else {
                int i = anfang[0], j = anfang[1], zaehler = 0;
                double toleranz = 0., vAlt = 0.;
                do {
                    berechneR(i, j);
                    volumenstrom[i][j] = ((pLinkesHerz - pRechtesHerz) * 1000) /
                    widerstand[i][j];
                    berechneV(volumenstrom[i][j], i, j);
                    toleranz = volumenstrom[i][j] - vAlt;
                    vAlt = volumenstrom[i][j];
                    zaehler = zaehler + 1;
                    if (zaehler == 1E7) {
                        keineKonvergenz();
                        break;
                    }
                }
                while(toleranz > 1E-6 || toleranz < -1E-6);
                schreibeDaten();
            }
        }
        catch(NumberFormatException nfe) {
            ungueltigesZahlenformat();
        }
        catch(ArithmeticException ae) {
            ungueltigeGeometrie();
        }     
    }
    
    /** Sucht den Zeilenindex des ersten Gefäßelementes. */
    private int[] sucheAnfang() {
        int[] koordinate = {-1,-1};
        for (int j = JMAX - 1; j >= 0; --j) {
            for (int i = 0; i < IMAX; ++i)  {
                if (status[i][j] != 0) {
                    koordinate[0] = i;
                    koordinate[1] = j;
                    return(koordinate);
                }
            }
        }
        return(koordinate);   
    }
    
    /** Durchsucht das Modell nach unzulässigen Kurzschlüssen. */
    private boolean sucheKurzschluss() {
        for (int j = 0; j < JMAX; ++j)
            for (int i = 0; i < IMAX - 1; ++i) {
                if (status[i][j] == 1 && status[i+1][j] == 4)
                    return(true);
            }
        return(false);
    }
    
    /** Durchsucht das Modell nach fehlenden Geometriemaßen. */
    private boolean sucheFehlendesMass() {
        for (int i = 0; i < IMAX; ++i)
            for (int j = 0; j < JMAX; ++j) {
                if ((status[i][j] == 3 || status[i][j] == 6) &&
                durchmesser[i][j] == 0.)
                    return(true);
                else if (
                (status[i][j] != 0 && status[i][j] != 3 && status[i][j] != 6) &&
                (durchmesser[i][j] == 0. || laenge[i][j] == 0.))
                    return(true);
            }
        return(false);
    }
    
    /** Zeigt ein Dialogfeld mit Infos und Kontaktinformationen. */
    private void about() {
        JOptionPane.showMessageDialog(this,
        "Das Programm SPAS 1.0 dient der Abschätzung des Volumen-\n" +
        "stromes durch systemisch pulmonale arterielle Shunts (SPAS).\n" +
        "Das Programm wurde im Oktober 2002 im Rahmen eines von\n" +
        "der Hans und Gertie Fischer Stiftung finanzierten For-\n" +
        "schungsprojektes für die radiologische Abteilung des\n" +
        "Alfried Krupp Krankenhauses in Essen erstellt. Die Arbeiten,\n" +
        "einschließlich strömungsmechanischer Versuche, wurden in der \n" +
        "Strömungslehre der Universität Essen (Prof. Dr.-Ing. F. Peters)\n" +
        "durchgeführt.\n\n" +
        "Autor: Peter Vennemann\n\n" +
        "Information: https://fh.ms/spas\n\n",
        "über das Programm",JOptionPane.INFORMATION_MESSAGE);
    }    
    
    /** Informiert den Benutzer darüber, dass er ein Modell erstellen muss. */
    private void keinModell() {
        JOptionPane.showMessageDialog(this,
        "Sie haben kein Modell erstellt!\n" +
        "Bilden sie ein Gefäßmodell, indem Sie mit der Maus auf die weißen\n" +
        "Flächen des Arbeitsbereiches klicken. Achten Sie darauf, dass kein\n" +
        "Strang mit einer offenen Ader endet.\n\n",
        "Kein Modell vorhanden!",JOptionPane.INFORMATION_MESSAGE);
    }
    
    /** Falls der Benutzer keine gültige Dezimalzahl eingibt. */
    private void ungueltigesZahlenformat() {
        JOptionPane.showMessageDialog(this,
        "Ungültiges Zahlenformat!\n" +
        "Bitte geben Sie positive Dezimalzahlen ein.\n" +
        "Verwenden Sie einen Dezimalpunkt und kein\n" +
        "Dezimalkomma.\n\n",
        "Ungültiges Zahlenformat!",JOptionPane.ERROR_MESSAGE);
    }
    
    /** Falls der Benutzer vergisst einen Geometriewert anzugeben. */
    private void ungueltigeGeometrie() {
        JOptionPane.showMessageDialog(this,
        "Ein Geometriemaß kann nicht Null sein!\n" +
        "Bitte geben sie für alle Längen und Durchmesser gültige\n" +
        "Dezimalwerte ein.\n\n",
        "Ungültige Geometrie!",JOptionPane.ERROR_MESSAGE);
    }
    
    /** Das Netzwerk hat ein offenes Ende. */
    private void offenesEnde() {
        JOptionPane.showMessageDialog(this,
        "Das Modell ist nicht vollständig!\n" +
        "Es wurde eine am Ende offene Ader gefunden. Bitte achten Sie\n" +
        "darauf, dass alle Gefäßzweige mit einem Shunt oder einem\n" +
        "gesunden Gefäßzweig abgeschlossen werden.\n" +
        "Das Modell wird automatisch korrigiert.\n\n",
        "Offenes Gefäßende!",JOptionPane.WARNING_MESSAGE);
    }
    
    /** Unvorhersehbarer Fehler. */
    private void allgemeineAusnahme() {
        JOptionPane.showMessageDialog(this,
        "Dieses Modell ist nicht gültig und wird gelöscht.\n" +
        "Um korrekte Ergebnisse zu erhalten, sollten Sie das Programm\n" +
        "sicherheitshalber beenden und neu starten.\n\n",
        "Ausnahme!",JOptionPane.ERROR_MESSAGE);
    }
    
    /** Im Falle eines kurzgeschlossenen Netzwerkes. */
    private void kurzschluss() {
        JOptionPane.showMessageDialog(this,
        "Kurzschluss gefunden!\n" +
        "Adern können nur verzweigt, nicht aber vereinigt werden.\n" +
        "Bitte korrigieren Sie das Modell.\n\n",
        "Kurzschluss gefunden!",JOptionPane.ERROR_MESSAGE);
    }
    
    /** Die Berechnung konvergiert nicht oder sehr langsam.
     * Der Strömungswiderstand des Netzwerkes ist vom Volumenstrom abhängig.
     * Daher wird eine iterative Berechnung notwendig. Im Falle sehr langsamer
     * Konvergenz wird die Berechnung angehalten und eine Nachricht angezeigt.
     */
    private void keineKonvergenz() {
        JOptionPane.showMessageDialog(this,
        "Keine Lösung gefunden!\n" +
        "Für dieses Modell kann keine Lösung gefunden werden, da die Be-\n" +
        "rechnung nicht oder nur sehr langsam konvergiert. Überprüfen Sie,\n" +
        "ob die gewählten Durchmesser praxisrelevant sind.\n\n",
        "Rechnung konvergiert nicht!",JOptionPane.ERROR_MESSAGE);
    }
    
    /** Im Falle eines Fehlers während des Druckens. */
    private void druckFehlgeschlagen() {
        JOptionPane.showMessageDialog(this,
        "Druck fehlgeschlagen!\n" +
        "Das Modell konnte leider aus unbekannten Gründen nicht\n" +
        "gedruckt werden.\n\n",
        "Druck fehlgeschlagen!",JOptionPane.ERROR_MESSAGE);
    }
    
    /** Titel eingeben.
     * Zeigt ein Dialogfeld an, in dem der Benutzer einen Titel für seinen 
     * Ausdruck angeben kann.
     * @return Der Titel.
     */
    private String titelEingeben() {
        return((String)JOptionPane.showInputDialog(this,
        "Bezeichnung des Modells:"));
    }
    
    /** Falls eine Modelldatei nicht geöffnet werden kann.  */
    private void dateiOeffnenFehlgeschlagen() {
        JOptionPane.showMessageDialog(this,
        "Die Datei konnte nicht geöffnet werden.\n" +
        "Die Datei ist entweder beschädigt oder veraltet.\n\n",
        "Fehler beim Öffnen der Datei!",
        JOptionPane.ERROR_MESSAGE);
    }
    
    /** Falls beim Schreiben der Datei ein Fehler auftritt. */
    private void dateiSpeichernFehlgeschlagen() {
        JOptionPane.showMessageDialog(this,
        "Die Datei konnte aus unbekannten Gründen\n" +
        "nicht erstellt werden.\n\n",
        "Fehler beim Schreiben der Datei!",
        JOptionPane.ERROR_MESSAGE);
    }
    
    /** Falls das Gefäßmodell nicht deserialisiert werden kann.
     * Dieser Fehler geschieht eventuell auch bei Verwendung einer anderen
     * (neueren) Laufzeitumgebung, da die Kompatibilität einiger der
     * serialisierten Objekte von Sun nicht garantiert wird.
     */
    private void dateiUngueltig() {
        JOptionPane.showMessageDialog(this,
        "Die Datei enthält kein gültiges Gefäßmodell " +
        "oder ist veraltet.\n\n",
        "Ungueltiges Format!",
        JOptionPane.ERROR_MESSAGE);
    }

    /** Zeigt die Onlinehilfe an. */
    private void starteHilfe() {
        try {
            String s = null;
            s = "https://spas-c1571b.fh-muenster.io/Hilfe.html";
            URL url = new URL(s);
            javax.swing.JFrame f = new javax.swing.JFrame("Dokumentation zu SPAS 1.0");
            java.awt.event.WindowListener wL = 
            new java.awt.event.WindowAdapter() {
                public void windowClosing(java.awt.event.WindowEvent e) {
                    e.getWindow().dispose();
                }
            };
            f.addWindowListener(wL);
            SPAS.HilfeFenster hilfeFenster = new SPAS.HilfeFenster(url);
            f.getContentPane().add(hilfeFenster);
            java.net.URL iconUrl = 
            getClass().getResource("/Ressourcen/HILFE_ICON.GIF");
            Image icon = getToolkit().createImage(iconUrl);
            f.setIconImage(icon);
            f.pack();
            f.setVisible(true);
        }
        catch(Exception e) {
            System.err.println(
            "Fehler in Methode \"SPAS.JFrame.starteHilfe\".");
        }
    }
    
    /** Berechnet den Gesamtersatzwiderstand des Gefäßmodells.
     * Diese Methode arbeitet rekursiv. Sie wird mit den Koordinaten i und j des 
     * ersten Modellelements aufgerufen. Solange das Modell weiter verzweigt ruft
     * sich die Funktion immer wieder selbst auf, wobei die Koordinaten i und j 
     * der verzweigten Struktur entprechen angepasst werden. Wird das durch einen 
     * gesunden Abzweig oder einen Shunt gekennzeichnete Ende eines Abzweigs
     * erreicht, terminiert die Funtion und gibt den entprechenden Wert für den
     * Widerstand zurück. Damit kann die jeweils aufrufende Funktion ebenfalls
     * terminieren, bis schließlich nach Beendigung der zuerst aufgerufenen
     * Instanz der Gesamtwiderstand feststeht.
     * @param i Der vertikale Index des ersten Netzwerkelements.
     * @parma j Der horizontale Index des ersten Netzwerkelements.
     * @return Der Gesamtersatzwiderstand des Netzwerks. 
     */
    private double berechneR(int i, int j) {
        double rVerzweigung = 0, rAuslauf = 0, rAequivalent= 0;
        if (volumenstrom[i][j] != 0) {
            rVerzweigung = 
            (zetaAbzweig * dichte/1E6 * volumenstrom[i][j] * 8) /
            (Math.PI * Math.PI * Math.pow(durchmesser[i][j],4));
            rAuslauf = 
            (zetaAuslauf * dichte/1E6 * volumenstrom[i][j] * 8) /
            (Math.PI * Math.PI * Math.pow(durchmesser[i][j],4));
            rAequivalent = (pRechtesHerz - 0.7) * 1000 / volumenstrom[i][j];
        }
        switch(status[i][j]) {
            case 1:
                // linker Rand offen
                if (j == 0) {
                    offenesEnde();
                    ergaenzeModell(i, j);
                    widerstand[i][j] = rBaum(i,j) - rAequivalent;
                    break;
                }
                // unterer Rand offen
                else if (i == 7 && status[i][j-1] < 4) {
                    offenesEnde();
                    ergaenzeModell(i, j);
                    widerstand[i][j] = rBaum(i,j) - rAequivalent;
                    break;
                }
                // unterer Rand
                else if (i == 7 && status[i][j-1] >= 4 && status[i][j-1] <= 6) {
                    widerstand[i][j] = rRohr(i,j) + berechneR(i,j-1);
                    break;
                }
                // Verzweigung
                else if (status[i][j-1] >= 4 && status[i][j-1] <= 6 && 
                status[i+1][j-1] >= 1 && status[i+1][j-1] <= 3) {
                    widerstand[i][j] = rRohr(i,j) + 
                    1 / (1 / berechneR(i,j-1) + 1 / berechneR(i+1,j-1)) +
                    rVerzweigung;
                    break;
                }
                // nach oben
                else if (status[i][j-1] >= 4 && status[i][j-1] <= 6) {
                    widerstand[i][j] = rRohr(i,j) + berechneR(i,j-1);
                    break;
                }
                // nach unten
                else if (status[i+1][j-1] >= 1 && status[i+1][j-1] <= 3) {
                    widerstand[i][j] = rRohr(i,j) + berechneR(i+1,j-1);
                    break;
                }
                // offenes Ende
                else {
                    offenesEnde();
                    ergaenzeModell(i, j);
                    widerstand[i][j] = rBaum(i,j) - rAequivalent;
                    break;
                }
            case 2:
                widerstand[i][j] = rShunt(i,j) + rAuslauf;
                break;
            case 3:
                widerstand[i][j] = rBaum(i,j) - rAequivalent;
                break;
            case 4:
                // linker Rand offen
                if (j == 0) {
                    offenesEnde();
                    ergaenzeModell(i, j);
                    widerstand[i][j] = rBaum(i,j) - rAequivalent;
                    break;
                }
                // oberer Rand offen
                else if (i == 0 && (status[i][j-1] < 1 || status[i][j-1] > 3)) {
                    offenesEnde();
                    ergaenzeModell(i, j);
                    widerstand[i][j] = rBaum(i,j) - rAequivalent;
                    break;
                }
                // oberer Rand
                else if (i == 0 && status[i][j-1] >= 1 && status[i][j-1] <= 3) {
                    widerstand[i][j] = rRohr(i,j) + berechneR(i,j-1);
                    break;
                }
                // Verzweigung
                else if (status[i][j-1] >= 1 && status[i][j-1] <= 3 && 
                status[i-1][j-1] >= 4 && status[i-1][j-1] <= 6) {
                    widerstand[i][j] = rRohr(i,j) + 
                    1 / (1 / berechneR(i,j-1) + 1 / berechneR(i-1,j-1)) +
                    rVerzweigung;
                    break;
                }
                // nach unten
                else if (status[i][j-1] >= 1 && status[i][j-1] <= 3) {
                    widerstand[i][j] = rRohr(i,j) + berechneR(i,j-1);
                    break;
                }
                // nach oben
                else if (status[i-1][j-1] >= 4 && status[i-1][j-1] <= 6) {
                    widerstand[i][j] = rRohr(i,j) + berechneR(i-1,j-1);
                    break;
                }
                // offenes Ende
                else {
                    offenesEnde();
                    ergaenzeModell(i, j);
                    widerstand[i][j] = rBaum(i,j) - rAequivalent;
                    break;
                }
            case 5:
                widerstand[i][j] = rShunt(i,j) + rAuslauf;
                break;
            case 6:
                widerstand[i][j] = rBaum(i,j) - rAequivalent;
                break;
            default:
                allgemeineAusnahme();
                modellLoeschen();
                return(0);
        }
        return(widerstand[i][j]);
    }
    
    /** Berechnet die Volumenströme nach der Stromteilerregel */
    private void berechneV(double vGesamt, int i, int j) {
        switch(status[i][j]) {
            case 1:
                // unterer Rand
                if (i == 7 && status[i][j-1] >= 4 && status[i][j-1] <= 6) {
                    volumenstrom[i][j-1] = vGesamt;
                }
                // Verzweigung
                else if (status[i][j-1] >= 4 && status[i][j-1] <= 6 && 
                status[i+1][j-1] >= 1 && status[i+1][j-1] <= 3) {
                    volumenstrom[i][j-1] = vGesamt * 
                    1/(1/widerstand[i][j-1] + 1/ widerstand[i+1][j-1]) /
                    widerstand[i][j-1];
                    volumenstrom[i+1][j-1] = vGesamt *
                    1/(1/widerstand[i][j-1] + 1/ widerstand[i+1][j-1]) /
                    widerstand[i+1][j-1];
                }
                // nach unten
                else if (status[i][j-1] >= 4 && status[i][j-1] <= 6) {
                    volumenstrom[i][j-1] = vGesamt;
                }
                // nach oben
                else if (status[i+1][j-1] >= 1 &&status[i+1][j-1] <= 3) {
                    volumenstrom[i+1][j-1] = vGesamt;
                }
                if (status[i][j-1] == 4) 
                    berechneV(volumenstrom[i][j-1], i, j - 1);
                if (i != 7 && status[i+1][j-1] == 1) 
                    berechneV(volumenstrom[i+1][j-1], i+1, j - 1);
                break;
            case 4:
                // oberer Rand
                if (i == 0 && status[i][j-1] >= 1 && status[i][j-1] <= 3) {
                    volumenstrom[i][j-1] = vGesamt;
                }
                // Verzweigung
                else if (status[i][j-1] >= 1 && status[i][j-1] <= 3 && 
                status[i-1][j-1] >= 4 && status[i-1][j-1] <= 6) {
                    volumenstrom[i][j-1] = vGesamt * 
                    1/(1/widerstand[i-1][j-1] + 1/ widerstand[i][j-1]) /
                    widerstand[i][j-1];
                    volumenstrom[i-1][j-1] = vGesamt *
                    1/(1/widerstand[i-1][j-1] + 1/ widerstand[i][j-1]) /
                    widerstand[i-1][j-1];
                }
                // nach unten
                else if (status[i][j-1] >= 1 && status[i][j-1] <= 3) {
                    volumenstrom[i][j-1] = vGesamt;
                }
                // nach oben
                else if (status[i-1][j-1] >= 4 && status[i-1][j-1] <= 6) {
                    volumenstrom[i-1][j-1] = vGesamt;
                }
                if (i != 0 && status[i-1][j-1] == 4) 
                    berechneV(volumenstrom[i-1][j-1], i - 1, j - 1);
                if (status[i][j-1] == 1) 
                    berechneV(volumenstrom[i][j-1], i, j - 1);
                break;
            default:
                break;
        }
    }
    
    /** Ergänzt offene Aderenden. */
    private void ergaenzeModell(int i, int j) {
        String name = "01,01";
        if (i > 9 && j > 9) name = i + "," + j;
        else if (i > 9 && j <= 9) name = i + "," + "0" + j;
        else if (i <= 9 && j > 9) name = "0" + i + "," + j;
        else if (i < 9 && j < 9) name = "0" + i + "," + "0" + j;
        status[i][j] = status[i][j] + 1;
        wechsleStatus((javax.swing.JLabel) label.get(name),
        (javax.swing.JTextField) textD.get(name),
        (javax.swing.JTextField) textL.get(name), i, j);
    }
    
    /** Einzelwiderstand Rohr. */
    private double rRohr(int i, int j) {
        double r = (128 * dynVisk * laenge[i][j] /
        (durchmesser[i][j] * durchmesser[i][j] * durchmesser[i][j] *
        durchmesser[i][j] * Math.PI));
        return(r);
    }
    
    /** Einzelwiderstand Shunt */
    private double rShunt(int i, int j) {
        return(rRohr(i, j));
    }
    
    /** Einzelwiderstand gesunder Abzweig (Literatur-Fit). */
    private double rBaum(int i, int j) {
        double r = 43 * Math.exp(-0.8 * durchmesser[i][j]) + 0.6;
        return(r);
    }
                
    /** Löscht die Benutzeroberfläche. */
    private void modellLoeschen() {
        int loeschen = JOptionPane.showConfirmDialog(this,
        "Alle Einstellungen gehen verloren!", "Modell löschen?",
        JOptionPane.YES_NO_OPTION);
        if (loeschen == JOptionPane.YES_OPTION) {
            for (int i = 0; i < IMAX; ++i)
                for (int j = 0; j < JMAX; ++j) {
                    durchmesser[i][j] = 0;
                    laenge[i][j] = 0;
                    volumenstrom[i][j] = 0;
                    widerstand[i][j] = 0;
                    status[i][j] = 6;
                }
            Enumeration alleLabel = label.keys();
            while (alleLabel.hasMoreElements()) {
                String name = (String) alleLabel.nextElement();
                wechsleStatus(
                (javax.swing.JLabel) label.get(name),
                (javax.swing.JTextField) textD.get(name),
                (javax.swing.JTextField) textL.get(name), 
                Integer.parseInt(name.substring(0,2)), 
                Integer.parseInt(name.substring(3,5)));
            }
            schreibeDaten();
        }
    }
    
    /** Liest alle Durchmesser und Längen ein. */
    private void leseEingaben() {
        Enumeration alleLabel = label.keys();
        while (alleLabel.hasMoreElements()) {
            String name = (String) alleLabel.nextElement();
            int i = Integer.parseInt(name.substring(0,2));
            int j = Integer.parseInt(name.substring(3,5));
            durchmesser[i][j] = 
            leseFeld((javax.swing.JTextField) textD.get(name));
            laenge[i][j] = 
            leseFeld((javax.swing.JTextField) textL.get(name));
        }
        pLinkesHerz = leseFeld(jTextFieldPLinkesHerz);
        pRechtesHerz = leseFeld(jTextFieldPRechtesHerz);
        zetaAbzweig = leseFeld(jTextFieldZetaAbzweig);
        zetaAuslauf = leseFeld(jTextFieldZetaAuslauf);
        dynVisk = leseFeld(jTextFieldDynVisk);
        dichte = leseFeld(jTextFieldDichte);
    }
    
    /** Liest den Text eines einzelnen Feldes. */
    private double leseFeld(javax.swing.JTextField feld) {
        double wert = Double.parseDouble(feld.getText());
        return(wert);
    }
    
    /** Überschreibt alle Felder mit aktuellen Werten. */
    private void schreibeDaten() {
        double faktor = 1;
        switch(jComboBoxEinheiten.getSelectedIndex()) {
            case 1:
                faktor = 1E-3;
                break;
            case 2:
                faktor = 1E-6;
                break;
            case 3:
                faktor = 60E-3;
                break;
            case 4:
                faktor = 60E-6;
                break;
            case 5:
                faktor = 3.6E-3;
                break;
            default:
                faktor = 1;
        }
        jTextFieldPLinkesHerz.setText(String.valueOf(pLinkesHerz));
        jTextFieldPRechtesHerz.setText(String.valueOf(pRechtesHerz));
        einheitUmrechnen(jTextFieldPLinkesHerz);
        einheitUmrechnen(jTextFieldPRechtesHerz);
        jTextFieldZetaAbzweig.setText(String.valueOf(zetaAbzweig));
        jTextFieldZetaAuslauf.setText(String.valueOf(zetaAuslauf));
        jTextFieldDynVisk.setText(String.valueOf(dynVisk));
        jTextFieldDichte.setText(String.valueOf(dichte));
        Enumeration alleLabel = label.keys();
        while (alleLabel.hasMoreElements()) {
            String name = (String) alleLabel.nextElement();
            int i = Integer.parseInt(name.substring(0,2));
            int j = Integer.parseInt(name.substring(3,5));
            schreibeFeld((javax.swing.JTextField) textV.get(name),
            volumenstrom[i][j] * faktor);
            if (volumenstrom[i][j] != 0)
            ((javax.swing.JTextField) textV.get(name)).setBackground(Color.orange);
            else ((javax.swing.JTextField) textV.get(name)).setBackground(null);
            schreibeFeld((javax.swing.JTextField) textD.get(name),
            durchmesser[i][j]);
            schreibeFeld((javax.swing.JTextField) textL.get(name),
            laenge[i][j]);
            switch(status[i][j]) {
                case 0: 
                    ((javax.swing.JLabel)label.get(name)).setIcon(
                    new javax.swing.ImageIcon(getClass().getResource
                    ("/Ressourcen/LEER.JPG")));
                    ((javax.swing.JTextField)textD.get(name)).setEnabled(false);
                    ((javax.swing.JTextField)textD.get(name)).setBackground(
                    Color.white);
                    ((javax.swing.JTextField)textL.get(name)).setEnabled(false);
                    ((javax.swing.JTextField)textL.get(name)).setBackground(
                    Color.white);
                    break; 
                case 1: 
                    ((javax.swing.JLabel)label.get(name)).setIcon(
                    new javax.swing.ImageIcon(getClass().getResource
                    ("/Ressourcen/rohr_u.jpg")));
                    ((javax.swing.JTextField)textD.get(name)).setEnabled(true);
                    ((javax.swing.JTextField)textD.get(name)).setBackground(
                    Color.orange);
                    ((javax.swing.JTextField)textL.get(name)).setEnabled(true);
                    ((javax.swing.JTextField)textL.get(name)).setBackground(
                    Color.orange);
                    break;
                case 2: 
                    ((javax.swing.JLabel)label.get(name)).setIcon(
                    new javax.swing.ImageIcon(getClass().getResource
                    ("/Ressourcen/shunt_u.jpg")));
                    ((javax.swing.JTextField)textD.get(name)).setEnabled(true);
                    ((javax.swing.JTextField)textD.get(name)).setBackground(
                    Color.orange);
                    ((javax.swing.JTextField)textL.get(name)).setEnabled(true);
                    ((javax.swing.JTextField)textL.get(name)).setBackground(
                    Color.orange);
                    break;
                case 3: 
                    ((javax.swing.JLabel)label.get(name)).setIcon(
                    new javax.swing.ImageIcon(getClass().getResource
                    ("/Ressourcen/baum_u.jpg")));
                    ((javax.swing.JTextField)textD.get(name)).setEnabled(true);
                    ((javax.swing.JTextField)textD.get(name)).setBackground(
                    Color.orange);
                    ((javax.swing.JTextField)textL.get(name)).setEnabled(false);
                    ((javax.swing.JTextField)textL.get(name)).setBackground(
                    Color.white);
                    break;
                case 4: 
                    ((javax.swing.JLabel)label.get(name)).setIcon(
                    new javax.swing.ImageIcon(getClass().getResource
                    ("/Ressourcen/rohr_o.jpg")));
                    ((javax.swing.JTextField)textD.get(name)).setEnabled(true);
                    ((javax.swing.JTextField)textD.get(name)).setBackground(
                    Color.orange);
                    ((javax.swing.JTextField)textL.get(name)).setEnabled(true);
                    ((javax.swing.JTextField)textL.get(name)).setBackground(
                    Color.orange);
                    break;
                case 5: 
                    ((javax.swing.JLabel)label.get(name)).setIcon(
                    new javax.swing.ImageIcon(getClass().getResource
                    ("/Ressourcen/shunt_o.jpg")));
                    ((javax.swing.JTextField)textD.get(name)).setEnabled(true);
                    ((javax.swing.JTextField)textD.get(name)).setBackground(
                    Color.orange);
                    ((javax.swing.JTextField)textL.get(name)).setEnabled(true);
                    ((javax.swing.JTextField)textL.get(name)).setBackground(
                    Color.orange);
                    break;
                case 6: 
                    ((javax.swing.JLabel)label.get(name)).setIcon(
                    new javax.swing.ImageIcon(getClass().getResource
                    ("/Ressourcen/baum_o.jpg")));
                    ((javax.swing.JTextField)textD.get(name)).setEnabled(true);
                    ((javax.swing.JTextField)textD.get(name)).setBackground(
                    Color.orange);
                    ((javax.swing.JTextField)textL.get(name)).setEnabled(false);
                    ((javax.swing.JTextField)textL.get(name)).setBackground(
                    Color.white);
                    break;
            }
        }
    }
    
    /** Schreibt den Übergebenen Wert in ein einzelnes Textfeld. 
     * @param feld Das Textfeld.
     * @param wert Der Wert.
     */
    private void schreibeFeld(javax.swing.JTextField feld, double wert) {
        String ausgabetext = String.valueOf(wert);
        if (ausgabetext.length() > 10)
            ausgabetext = ausgabetext.substring(0, 10); 
        feld.setText(ausgabetext);
    }
    
    /** Modell drucken. */
    private void modellDrucken()
    throws PrinterException {
        pjob.print();
    }
    
    /** Modell im Hintergrund drucken.
     * �berlagert die Methode print des implementierten interfaces 
     * java.awt.print.Printable (siehe Klassendeklaration).
     * Diese Methode enth�lt die eigentliche Druckausgabe. 
     */
    public int print(
    java.awt.Graphics graphics, java.awt.print.PageFormat pageFormat, int page)
    throws java.awt.print.PrinterException {
        int drucken = PAGE_EXISTS;
        if (page == 1) drucken = NO_SUCH_PAGE;
        // Ma�e
        int y0 = (int)pageFormat.getImageableY() + 1;
        int x0 = (int)pageFormat.getImageableX() + 1;
        int feldW = (int)pf.getImageableWidth() / 8 - 1;
        int feldH = (int)pf.getImageableHeight() / 10 - 1;
        // Schriften und Formate
        Graphics2D g2 = (Graphics2D)graphics;
        Font ueberschrift = new Font("Serif", Font.PLAIN, (int)feldH / 3);
        Font text = new Font("Serif", Font.PLAIN, (int)feldH / 6);
        Font legende = new Font("Serif", Font.PLAIN, (int)feldH / 8);
        DecimalFormat dfExp = new DecimalFormat("0.000E00");
        DecimalFormat df2 = new DecimalFormat("#.00");
        // �berschrift
        g2.setColor(Color.black);
        g2.setFont(ueberschrift);
        g2.drawString(druckTitel, x0, y0 + feldH / 2);
        g2.setFont(text);
        // Legende
        g2.setColor(Color.lightGray);
        g2.drawRect(x0, y0 + 9 * feldH, feldW, feldH);
        g2.setColor(Color.black);
        g2.setFont(legende);
        g2.drawString("Bezeichnung",
        x0 + feldW + 2,
        y0 + 9 * feldH + feldH/4 - feldH/12);
        g2.drawString("Volumenstrom [" + (String)jComboBoxEinheiten.getSelectedItem() + "]", 
        x0 + feldW + 2,
        y0 + 9 * feldH + feldH/2 - feldH/12);
        g2.drawString("Durchmesser [mm]", 
        x0 + feldW + 2,
        y0 + 9 * feldH + 3 * feldH/4 - feldH/12);
        g2.drawString("L�nge [mm]", 
        x0 + feldW + 2,
        y0 + 9 * feldH + feldH - feldH/12);
        g2.setFont(text);
        g2.drawString("Beispiel",
        x0 + 2,
        y0 + 9 * feldH + feldH/4 - feldH/12);
        g2.drawString("1,234E03", 
        x0 + 2,
        y0 + 9 * feldH + feldH/2 - feldH/12);
        g2.drawString("1,50", 
        x0 + 2,
        y0 + 9 * feldH + 3 * feldH/4 - feldH/12);
        g2.drawString("25", 
        x0 + 2,
        y0 + 9 * feldH + feldH - feldH/12);
        // Volumenstrom in die gew�hlte Einheit umrechnen
        double faktor = 1;
        switch(jComboBoxEinheiten.getSelectedIndex()) {
            case 1:
                faktor = 1E-3;
                break;
            case 2:
                faktor = 1E-6;
                break;
            case 3:
                faktor = 60E-3;
                break;
            case 4:
                faktor = 60E-6;
                break;
            case 5:
                faktor = 3.6E-3;
                break;
            default:
                faktor = 1;
        }
        //Zeichnen
        for (int i = 0; i < IMAX; ++i)
            for (int j = 0; j < JMAX; ++j) {
                // Gitter
                g2.setColor(Color.lightGray);
                g2.drawRect(x0 + j * feldW, y0 + (i+1) * feldH, feldW, feldH);
                switch(status[i][j]) {
                    // nach unten
                    case 1:
                        g2.setColor(Color.orange);
                        g2.drawLine(
                        x0 + j * feldW + feldW,
                        y0 + (i+1) * feldH,
                        x0 + j * feldW,
                        y0 + (i+1) * feldH + feldH);
                        // Pfeil
                        int[] xkoordU = {x0 + j * feldW + feldW/2,
                        x0 + j * feldW + feldW/2 + (feldW/4 - feldH/16),
                        x0 + j * feldW + feldW/2 + (feldW/4 + feldH/16)};
                        int[] ykoordU = {y0 + (i+1) * feldH + feldH/2,
                        y0 + (i+1) * feldH + feldH/2 - (feldH/4 + feldW/16),
                        y0 + (i+1) * feldH + feldH/2 - (feldH/4 - feldW/16)};
                        g2.fillPolygon(xkoordU, ykoordU, 3);
                        g2.setColor(Color.black);
                        g2.drawString("Ader",
                        x0 + j * feldW + 2,
                        y0 + (i+1) * feldH + feldH/4 - feldH/12);
                        g2.drawString(dfExp.format(volumenstrom[i][j] * faktor), 
                        x0 + j * feldW + 2,
                        y0 + (i+1) * feldH + feldH/2 - feldH/12);
                        g2.drawString(df2.format(durchmesser[i][j]), 
                        x0 + j * feldW + 2,
                        y0 + (i+1) * feldH + 3 * feldH/4 - feldH/12);
                        g2.drawString(df2.format(laenge[i][j]), 
                        x0 + j * feldW + 2,
                        y0 + (i+1) * feldH + feldH - feldH/12);
                        break;
                        // Shunt nach unten
                    case 2:
                        g2.setColor(Color.orange);
                        g2.drawLine(
                        x0 + j * feldW + feldW, 
                        y0 + (i+1) * feldH,
                        x0 + j * feldW + feldW/2, 
                        y0 + (i+1) * feldH + feldH/2);
                        g2.drawLine(
                        x0 + j * feldW + feldW/2 - feldH/4, 
                        y0 + (i+1) * feldH + feldH/2 - feldW/4,
                        x0 + j * feldW + feldW/2 + feldH/4, 
                        y0 + (i+1) * feldH + feldH/2 + feldW/4);
                        g2.setColor(Color.black);
                        g2.drawString("Shunt",
                        x0 + j * feldW + 2,
                        y0 + (i+1) * feldH + feldH/4 - feldH/12);
                        g2.drawString(dfExp.format(volumenstrom[i][j] * faktor), 
                        x0 + j * feldW + 2,
                        y0 + (i+1) * feldH + feldH/2 - feldH/12);
                        g2.drawString(df2.format(durchmesser[i][j]), 
                        x0 + j * feldW + 2,
                        y0 + (i+1) * feldH + 3 * feldH/4 - feldH/12);
                        g2.drawString(df2.format(laenge[i][j]), 
                        x0 + j * feldW + 2,
                        y0 + (i+1) * feldH + feldH - feldH/12);
                        break;
                        // Abzweig nach unten
                    case 3:
                        g2.setColor(Color.orange);
                        g2.drawLine(
                        x0 + j * feldW + feldW, 
                        y0 + (i+1) * feldH,
                        x0 + j * feldW + feldW/2, 
                        y0 + (i+1) * feldH + feldH/2);
                        g2.drawOval(
                        x0 + j * feldW + feldW/2 - feldW/4, 
                        y0 + (i+1) * feldH + feldH/2 - feldW/4,
                        feldW/2, 
                        feldW/2);
                        g2.setColor(Color.black);
                        g2.drawString("Abzweig",
                        x0 + j * feldW + 2,
                        y0 + (i+1) * feldH + feldH/4 - feldH/12);
                        g2.drawString(dfExp.format(volumenstrom[i][j] * faktor), 
                        x0 + j * feldW + 2,
                        y0 + (i+1) * feldH + feldH/2 - feldH/12);
                        g2.drawString(df2.format(durchmesser[i][j]), 
                        x0 + j * feldW + 2,
                        y0 + (i+1) * feldH + 3 * feldH/4 - feldH/12);
                        break;
                        // nach oben
                    case 4:
                        g2.setColor(Color.orange);
                        g2.drawLine(
                        x0 + j * feldW,
                        y0 + (i+1) * feldH,
                        x0 + j * feldW + feldW,
                        y0 + (i+1) * feldH + feldH);
                        // Pfeil
                        int[] xkoordO = {x0 + j * feldW + feldW/2,
                        x0 + j * feldW + feldW/2 + (feldW/4 - feldH/16),
                        x0 + j * feldW + feldW/2 + (feldW/4 + feldH/16)};
                        int[] ykoordO = {y0 + (i+1) * feldH + feldH/2,
                        y0 + (i+1) * feldH + feldH/2 + (feldH/4 + feldW/16),
                        y0 + (i+1) * feldH + feldH/2 + (feldH/4 - feldW/16)};
                        g2.fillPolygon(xkoordO, ykoordO, 3);
                        g2.setColor(Color.black);
                        g2.drawString("Ader",
                        x0 + j * feldW + 2,
                        y0 + (i+1) * feldH + feldH/4 - feldH/12);
                        g2.drawString(dfExp.format(volumenstrom[i][j] * faktor), 
                        x0 + j * feldW + 2,
                        y0 + (i+1) * feldH + feldH/2 - feldH/12);
                        g2.drawString(df2.format(durchmesser[i][j]), 
                        x0 + j * feldW + 2,
                        y0 + (i+1) * feldH + 3 * feldH/4 - feldH/12);
                        g2.drawString(df2.format(laenge[i][j]), 
                        x0 + j * feldW + 2,
                        y0 + (i+1) * feldH + feldH - feldH/12);
                        break;
                        // shunt nach oben
                    case 5:
                        g2.setColor(Color.orange);
                        g2.drawLine(
                        x0 + j * feldW + feldW, 
                        y0 + (i+1) * feldH + feldH,
                        x0 + j * feldW + feldW/2, 
                        y0 + (i+1) * feldH + feldH/2);
                        g2.drawLine(
                        x0 + j * feldW + feldW/2 + feldH/4, 
                        y0 + (i+1) * feldH + feldH/2 - feldW/4,
                        x0 + j * feldW + feldW/2 - feldH/4, 
                        y0 + (i+1) * feldH + feldH/2 + feldW/4);
                        g2.setColor(Color.black);
                        g2.drawString("Shunt",
                        x0 + j * feldW + 2,
                        y0 + (i+1) * feldH + feldH/4 - feldH/12);
                        g2.drawString(dfExp.format(volumenstrom[i][j] * faktor), 
                        x0 + j * feldW + 2,
                        y0 + (i+1) * feldH + feldH/2 - feldH/12);
                        g2.drawString(df2.format(durchmesser[i][j]), 
                        x0 + j * feldW + 2,
                        y0 + (i+1) * feldH + 3 * feldH/4 - feldH/12);
                        g2.drawString(df2.format(laenge[i][j]), 
                        x0 + j * feldW + 2,
                        y0 + (i+1) * feldH + feldH - feldH/12);
                        break;
                        // Abzweig nach oben
                    case 6:
                        g2.setColor(Color.orange);
                        g2.drawLine(
                        x0 + j * feldW + feldW, 
                        y0 + (i+1) * feldH + feldH,
                        x0 + j * feldW + feldW/2, 
                        y0 + (i+1) * feldH + feldH/2);
                        g2.drawOval(
                        x0 + j * feldW + feldW/2 - feldW/4, 
                        y0 + (i+1) * feldH + feldH/2 - feldW/4,
                        feldW/2, 
                        feldW/2);
                        g2.setColor(Color.black);
                        g2.drawString("Abzweig",
                        x0 + j * feldW + 2,
                        y0 + (i+1) * feldH + feldH/4 - feldH/12);
                        g2.drawString(dfExp.format(volumenstrom[i][j] * faktor), 
                        x0 + j * feldW + 2,
                        y0 + (i+1) * feldH + feldH/2 - feldH/12);
                        g2.drawString(df2.format(durchmesser[i][j]), 
                        x0 + j * feldW + 2,
                        y0 + (i+1) * feldH + 3 * feldH/4 - feldH/12);
                        break;
                }
            }
        return(drucken);
    }
    
    /** Seitenformatauswahl.
     * Zeigt einen betriebssystem spezifischen Dialog zur Auswahl des Seiten-
     * formats an.
     * @return true wenn der Dialog mit OK beendet wurde.
     */
    public boolean setupPageFormat() {
        PageFormat defaultpf = pjob.defaultPage();
        pf = pjob.pageDialog(defaultpf);
        pjob.setPrintable(this, this.pf);
        return(pf != defaultpf);
    }

    /** Druckoptionen.
     * Zeigt einen betriebssystem spezifischen Dialog zur Konfiguration der
     * Druckoptionen an.
     * @return true falls der Dialog mit OK beendet wurde.
     */
    public boolean setupJobOptions() {
        return(pjob.printDialog());
    }
    
    /** Serialisiert alle Klassenvariablen. */
    private void dateiSpeichern() {
        int speichern = fc.showSaveDialog(this);
        if (speichern == JFileChooser.APPROVE_OPTION) {
            File datei = fc.getSelectedFile();
            String dateiname = datei.getAbsolutePath();
            // pr�fen, ob die Dateiendung stimmt:
            int i = dateiname.lastIndexOf('.');
            String erweiterung = null;
            if (i > 0 && i < dateiname.length() - 1)
                erweiterung = dateiname.substring(i+1);
            if (erweiterung == null || 
            erweiterung.equalsIgnoreCase("pas") == false) 
                dateiname = dateiname + ".PAS";
            {
                try {
                    FileOutputStream fs =
                    new FileOutputStream(dateiname);
                    ObjectOutputStream os = new ObjectOutputStream(fs);
                    os.writeObject(status);
                    os.writeObject(durchmesser);
                    os.writeObject(laenge);
                    os.writeDouble(pLinkesHerz);
                    os.writeDouble(pRechtesHerz);
                    os.writeDouble(zetaAbzweig);
                    os.writeDouble(zetaAuslauf);
                    os.writeDouble(dynVisk);
                    os.writeDouble(dichte);
                    os.close();
                }
                catch (IOException e)
                {
                    dateiSpeichernFehlgeschlagen();
                }
            }
        }
    }
    
    /** Deserialisiert alle Klassenvariablen */
    private void dateiOeffnen() {
        int speichern = fc.showOpenDialog(this);
        if (speichern == JFileChooser.APPROVE_OPTION) {
            File datei = fc.getSelectedFile();
            {
                try {
                    FileInputStream fs =
                    new FileInputStream(datei.getAbsolutePath());
                    ObjectInputStream is = new ObjectInputStream(fs);
                    status = (int[][])is.readObject();
                    durchmesser = (double[][])is.readObject();
                    laenge = (double[][])is.readObject();
                    pLinkesHerz = (double)is.readDouble();
                    pRechtesHerz = (double)is.readDouble();
                    zetaAbzweig = (double)is.readDouble();
                    zetaAuslauf = (double)is.readDouble();
                    dynVisk = (double)is.readDouble();
                    dichte = (double)is.readDouble();
                    is.close();
                    schreibeDaten();
                    einheitUmrechnen(jTextFieldPLinkesHerzHg);
                    einheitUmrechnen(jTextFieldPRechtesHerzHg);
                    berechneFluss();
                }
                catch (ClassNotFoundException cnfe) {
                    dateiUngueltig();
                }
                catch (IOException ioe) {
                    dateiOeffnenFehlgeschlagen();
                }
            }
        }
    }
    
    /** Laden des Programmicons (oben links). */
    private void ladeIcon() {
        java.net.URL url = getClass().getResource("/Ressourcen/logo.jpg");
        Image logo = getToolkit().createImage(url);
        setIconImage(logo);
    }
        
    // Deklaration der Klassenvariablen
    private int IMAX = 8, JMAX = 8; // repr�sentiert die Hauptfenster-Matrix
    private Hashtable label = new Hashtable();
    private Hashtable textD = new Hashtable();
    private Hashtable textL = new Hashtable();
    private Hashtable textV = new Hashtable();
    private double durchmesser[][] = new double[IMAX][JMAX];
    private double laenge[][] = new double[IMAX][JMAX];
    private double volumenstrom[][] = new double[IMAX][JMAX];
    private double widerstand[][] = new double[IMAX][JMAX];
    private int status[][] = new int[IMAX][JMAX];
    private double pLinkesHerz = 14.0;
    private double pRechtesHerz = 1.7;
    private double zetaAbzweig = 0.0;
    private double zetaAuslauf = 1.0;
    private double dynVisk = 5.0E-3;
    private double dichte = 995.;
    private PrinterJob pjob;
    private PageFormat pf;
    private String druckTitel;
    final JFileChooser fc = new JFileChooser();
    
    // Initialisierung der Klassenvariablen
    private void initialisiereVariablen() {
        for (int i = 0; i < IMAX; ++i)
            for (int j = 0; j < JMAX; ++j) {
                durchmesser[i][j] = 0;
                laenge[i][j] = 0;
                volumenstrom[i][j] = 0;
                widerstand[i][j] = 0;
                status[i][j] = 0;
            }
        // label
        label.put("00,00", jLabel01);
        label.put("00,01", jLabel02);
        label.put("00,02", jLabel03);
        label.put("00,03", jLabel04);
        label.put("00,04", jLabel05);
        label.put("00,05", jLabel06);
        label.put("00,06", jLabel07);
        label.put("00,07", jLabel08);
        label.put("01,00", jLabel09);
        label.put("01,01", jLabel10);
        label.put("01,02", jLabel11);
        label.put("01,03", jLabel12);
        label.put("01,04", jLabel13);
        label.put("01,05", jLabel14);
        label.put("01,06", jLabel15);
        label.put("01,07", jLabel16);
        label.put("02,00", jLabel17);
        label.put("02,01", jLabel18);
        label.put("02,02", jLabel19);
        label.put("02,03", jLabel20);
        label.put("02,04", jLabel21);
        label.put("02,05", jLabel22);
        label.put("02,06", jLabel23);
        label.put("02,07", jLabel24);
        label.put("03,00", jLabel25);
        label.put("03,01", jLabel26);
        label.put("03,02", jLabel27);
        label.put("03,03", jLabel28);
        label.put("03,04", jLabel29);
        label.put("03,05", jLabel30);
        label.put("03,06", jLabel31);
        label.put("03,07", jLabel32);
        label.put("04,00", jLabel33);
        label.put("04,01", jLabel34);
        label.put("04,02", jLabel35);
        label.put("04,03", jLabel36);
        label.put("04,04", jLabel37);
        label.put("04,05", jLabel38);
        label.put("04,06", jLabel39);
        label.put("04,07", jLabel40);
        label.put("05,00", jLabel41);
        label.put("05,01", jLabel42);
        label.put("05,02", jLabel43);
        label.put("05,03", jLabel44);
        label.put("05,04", jLabel45);
        label.put("05,05", jLabel46);
        label.put("05,06", jLabel47);
        label.put("05,07", jLabel48);
        label.put("06,00", jLabel49);
        label.put("06,01", jLabel50);
        label.put("06,02", jLabel51);
        label.put("06,03", jLabel52);
        label.put("06,04", jLabel53);
        label.put("06,05", jLabel54);
        label.put("06,06", jLabel55);
        label.put("06,07", jLabel56);
        label.put("07,00", jLabel57);
        label.put("07,01", jLabel58);
        label.put("07,02", jLabel59);
        label.put("07,03", jLabel60);
        label.put("07,04", jLabel61);
        label.put("07,05", jLabel62);
        label.put("07,06", jLabel63);
        label.put("07,07", jLabel64);
        // textD
        textD.put("00,00", jTextField01d);
        textD.put("00,01", jTextField02d);
        textD.put("00,02", jTextField03d);
        textD.put("00,03", jTextField04d);
        textD.put("00,04", jTextField05d);
        textD.put("00,05", jTextField06d);
        textD.put("00,06", jTextField07d);
        textD.put("00,07", jTextField08d);
        textD.put("01,00", jTextField09d);
        textD.put("01,01", jTextField10d);
        textD.put("01,02", jTextField11d);
        textD.put("01,03", jTextField12d);
        textD.put("01,04", jTextField13d);
        textD.put("01,05", jTextField14d);
        textD.put("01,06", jTextField15d);
        textD.put("01,07", jTextField16d);
        textD.put("02,00", jTextField17d);
        textD.put("02,01", jTextField18d);
        textD.put("02,02", jTextField19d);
        textD.put("02,03", jTextField20d);
        textD.put("02,04", jTextField21d);
        textD.put("02,05", jTextField22d);
        textD.put("02,06", jTextField23d);
        textD.put("02,07", jTextField24d);
        textD.put("03,00", jTextField25d);
        textD.put("03,01", jTextField26d);
        textD.put("03,02", jTextField27d);
        textD.put("03,03", jTextField28d);
        textD.put("03,04", jTextField29d);
        textD.put("03,05", jTextField30d);
        textD.put("03,06", jTextField31d);
        textD.put("03,07", jTextField32d);
        textD.put("04,00", jTextField33d);
        textD.put("04,01", jTextField34d);
        textD.put("04,02", jTextField35d);
        textD.put("04,03", jTextField36d);
        textD.put("04,04", jTextField37d);
        textD.put("04,05", jTextField38d);
        textD.put("04,06", jTextField39d);
        textD.put("04,07", jTextField40d);
        textD.put("05,00", jTextField41d);
        textD.put("05,01", jTextField42d);
        textD.put("05,02", jTextField43d);
        textD.put("05,03", jTextField44d);
        textD.put("05,04", jTextField45d);
        textD.put("05,05", jTextField46d);
        textD.put("05,06", jTextField47d);
        textD.put("05,07", jTextField48d);
        textD.put("06,00", jTextField49d);
        textD.put("06,01", jTextField50d);
        textD.put("06,02", jTextField51d);
        textD.put("06,03", jTextField52d);
        textD.put("06,04", jTextField53d);
        textD.put("06,05", jTextField54d);
        textD.put("06,06", jTextField55d);
        textD.put("06,07", jTextField56d);
        textD.put("07,00", jTextField57d);
        textD.put("07,01", jTextField58d);
        textD.put("07,02", jTextField59d);
        textD.put("07,03", jTextField60d);
        textD.put("07,04", jTextField61d);
        textD.put("07,05", jTextField62d);
        textD.put("07,06", jTextField63d);
        textD.put("07,07", jTextField64d);        
        // textL
        textL.put("00,00", jTextField01l);
        textL.put("00,01", jTextField02l);
        textL.put("00,02", jTextField03l);
        textL.put("00,03", jTextField04l);
        textL.put("00,04", jTextField05l);
        textL.put("00,05", jTextField06l);
        textL.put("00,06", jTextField07l);
        textL.put("00,07", jTextField08l);
        textL.put("01,00", jTextField09l);
        textL.put("01,01", jTextField10l);
        textL.put("01,02", jTextField11l);
        textL.put("01,03", jTextField12l);
        textL.put("01,04", jTextField13l);
        textL.put("01,05", jTextField14l);
        textL.put("01,06", jTextField15l);
        textL.put("01,07", jTextField16l);
        textL.put("02,00", jTextField17l);
        textL.put("02,01", jTextField18l);
        textL.put("02,02", jTextField19l);
        textL.put("02,03", jTextField20l);
        textL.put("02,04", jTextField21l);
        textL.put("02,05", jTextField22l);
        textL.put("02,06", jTextField23l);
        textL.put("02,07", jTextField24l);
        textL.put("03,00", jTextField25l);
        textL.put("03,01", jTextField26l);
        textL.put("03,02", jTextField27l);
        textL.put("03,03", jTextField28l);
        textL.put("03,04", jTextField29l);
        textL.put("03,05", jTextField30l);
        textL.put("03,06", jTextField31l);
        textL.put("03,07", jTextField32l);
        textL.put("04,00", jTextField33l);
        textL.put("04,01", jTextField34l);
        textL.put("04,02", jTextField35l);
        textL.put("04,03", jTextField36l);
        textL.put("04,04", jTextField37l);
        textL.put("04,05", jTextField38l);
        textL.put("04,06", jTextField39l);
        textL.put("04,07", jTextField40l);
        textL.put("05,00", jTextField41l);
        textL.put("05,01", jTextField42l);
        textL.put("05,02", jTextField43l);
        textL.put("05,03", jTextField44l);
        textL.put("05,04", jTextField45l);
        textL.put("05,05", jTextField46l);
        textL.put("05,06", jTextField47l);
        textL.put("05,07", jTextField48l);
        textL.put("06,00", jTextField49l);
        textL.put("06,01", jTextField50l);
        textL.put("06,02", jTextField51l);
        textL.put("06,03", jTextField52l);
        textL.put("06,04", jTextField53l);
        textL.put("06,05", jTextField54l);
        textL.put("06,06", jTextField55l);
        textL.put("06,07", jTextField56l);
        textL.put("07,00", jTextField57l);
        textL.put("07,01", jTextField58l);
        textL.put("07,02", jTextField59l);
        textL.put("07,03", jTextField60l);
        textL.put("07,04", jTextField61l);
        textL.put("07,05", jTextField62l);
        textL.put("07,06", jTextField63l);
        textL.put("07,07", jTextField64l);
        // textV
        textV.put("00,00", jTextField01v);
        textV.put("00,01", jTextField02v);
        textV.put("00,02", jTextField03v);
        textV.put("00,03", jTextField04v);
        textV.put("00,04", jTextField05v);
        textV.put("00,05", jTextField06v);
        textV.put("00,06", jTextField07v);
        textV.put("00,07", jTextField08v);
        textV.put("01,00", jTextField09v);
        textV.put("01,01", jTextField10v);
        textV.put("01,02", jTextField11v);
        textV.put("01,03", jTextField12v);
        textV.put("01,04", jTextField13v);
        textV.put("01,05", jTextField14v);
        textV.put("01,06", jTextField15v);
        textV.put("01,07", jTextField16v);
        textV.put("02,00", jTextField17v);
        textV.put("02,01", jTextField18v);
        textV.put("02,02", jTextField19v);
        textV.put("02,03", jTextField20v);
        textV.put("02,04", jTextField21v);
        textV.put("02,05", jTextField22v);
        textV.put("02,06", jTextField23v);
        textV.put("02,07", jTextField24v);
        textV.put("03,00", jTextField25v);
        textV.put("03,01", jTextField26v);
        textV.put("03,02", jTextField27v);
        textV.put("03,03", jTextField28v);
        textV.put("03,04", jTextField29v);
        textV.put("03,05", jTextField30v);
        textV.put("03,06", jTextField31v);
        textV.put("03,07", jTextField32v);
        textV.put("04,00", jTextField33v);
        textV.put("04,01", jTextField34v);
        textV.put("04,02", jTextField35v);
        textV.put("04,03", jTextField36v);
        textV.put("04,04", jTextField37v);
        textV.put("04,05", jTextField38v);
        textV.put("04,06", jTextField39v);
        textV.put("04,07", jTextField40v);
        textV.put("05,00", jTextField41v);
        textV.put("05,01", jTextField42v);
        textV.put("05,02", jTextField43v);
        textV.put("05,03", jTextField44v);
        textV.put("05,04", jTextField45v);
        textV.put("05,05", jTextField46v);
        textV.put("05,06", jTextField47v);
        textV.put("05,07", jTextField48v);
        textV.put("06,00", jTextField49v);
        textV.put("06,01", jTextField50v);
        textV.put("06,02", jTextField51v);
        textV.put("06,03", jTextField52v);
        textV.put("06,04", jTextField53v);
        textV.put("06,05", jTextField54v);
        textV.put("06,06", jTextField55v);
        textV.put("06,07", jTextField56v);
        textV.put("07,00", jTextField57v);
        textV.put("07,01", jTextField58v);
        textV.put("07,02", jTextField59v);
        textV.put("07,03", jTextField60v);
        textV.put("07,04", jTextField61v);
        textV.put("07,05", jTextField62v);
        textV.put("07,06", jTextField63v);
        textV.put("07,07", jTextField64v);
        
        jComboBoxEinheiten.addItem("Kubikmillimeter pro Sekunde [mm^3/s]");
        jComboBoxEinheiten.addItem("Milliliter pro Sekunde [ml/s]");
        jComboBoxEinheiten.addItem("Liter pro Sekunde [l/s]");
        jComboBoxEinheiten.addItem("Milliliter pro Minute [ml/min]");
        jComboBoxEinheiten.addItem("Liter pro Minute [l/min]");
        jComboBoxEinheiten.addItem("Liter pro Stunde [l/h]");        
    }
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButtonAbout;
    private javax.swing.JButton jButtonBerechnungStarten;
    private javax.swing.JButton jButtonDrucken;
    private javax.swing.JButton jButtonHilfe;
    private javax.swing.JButton jButtonLaden;
    private javax.swing.JButton jButtonModellLoeschen;
    private javax.swing.JButton jButtonSpeichern;
    private javax.swing.JComboBox jComboBoxEinheiten;
    private javax.swing.JLabel jLabel01;
    private javax.swing.JLabel jLabel02;
    private javax.swing.JLabel jLabel03;
    private javax.swing.JLabel jLabel04;
    private javax.swing.JLabel jLabel05;
    private javax.swing.JLabel jLabel06;
    private javax.swing.JLabel jLabel07;
    private javax.swing.JLabel jLabel08;
    private javax.swing.JLabel jLabel09;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JLabel jLabel21;
    private javax.swing.JLabel jLabel22;
    private javax.swing.JLabel jLabel23;
    private javax.swing.JLabel jLabel24;
    private javax.swing.JLabel jLabel25;
    private javax.swing.JLabel jLabel26;
    private javax.swing.JLabel jLabel27;
    private javax.swing.JLabel jLabel28;
    private javax.swing.JLabel jLabel29;
    private javax.swing.JLabel jLabel30;
    private javax.swing.JLabel jLabel31;
    private javax.swing.JLabel jLabel32;
    private javax.swing.JLabel jLabel33;
    private javax.swing.JLabel jLabel34;
    private javax.swing.JLabel jLabel35;
    private javax.swing.JLabel jLabel36;
    private javax.swing.JLabel jLabel37;
    private javax.swing.JLabel jLabel38;
    private javax.swing.JLabel jLabel39;
    private javax.swing.JLabel jLabel40;
    private javax.swing.JLabel jLabel41;
    private javax.swing.JLabel jLabel42;
    private javax.swing.JLabel jLabel43;
    private javax.swing.JLabel jLabel44;
    private javax.swing.JLabel jLabel45;
    private javax.swing.JLabel jLabel46;
    private javax.swing.JLabel jLabel47;
    private javax.swing.JLabel jLabel48;
    private javax.swing.JLabel jLabel49;
    private javax.swing.JLabel jLabel50;
    private javax.swing.JLabel jLabel51;
    private javax.swing.JLabel jLabel52;
    private javax.swing.JLabel jLabel53;
    private javax.swing.JLabel jLabel54;
    private javax.swing.JLabel jLabel55;
    private javax.swing.JLabel jLabel56;
    private javax.swing.JLabel jLabel57;
    private javax.swing.JLabel jLabel58;
    private javax.swing.JLabel jLabel59;
    private javax.swing.JLabel jLabel60;
    private javax.swing.JLabel jLabel61;
    private javax.swing.JLabel jLabel62;
    private javax.swing.JLabel jLabel63;
    private javax.swing.JLabel jLabel64;
    private javax.swing.JLabel jLabelDichte;
    private javax.swing.JLabel jLabelDynVisk;
    private javax.swing.JLabel jLabelEinheitDichte;
    private javax.swing.JLabel jLabelEinheiten;
    private javax.swing.JLabel jLabelKPA1;
    private javax.swing.JLabel jLabelKPA2;
    private javax.swing.JLabel jLabelMMHG1;
    private javax.swing.JLabel jLabelMMHG2;
    private javax.swing.JLabel jLabelPAS;
    private javax.swing.JLabel jLabelPLinkesHerz;
    private javax.swing.JLabel jLabelPRechtesHerz;
    private javax.swing.JLabel jLabelZetaAbzweig;
    private javax.swing.JLabel jLabelZetaAuslauf;
    private javax.swing.JTextField jTextField01d;
    private javax.swing.JTextField jTextField01l;
    private javax.swing.JTextField jTextField01v;
    private javax.swing.JTextField jTextField02d;
    private javax.swing.JTextField jTextField02l;
    private javax.swing.JTextField jTextField02v;
    private javax.swing.JTextField jTextField03d;
    private javax.swing.JTextField jTextField03l;
    private javax.swing.JTextField jTextField03v;
    private javax.swing.JTextField jTextField04d;
    private javax.swing.JTextField jTextField04l;
    private javax.swing.JTextField jTextField04v;
    private javax.swing.JTextField jTextField05d;
    private javax.swing.JTextField jTextField05l;
    private javax.swing.JTextField jTextField05v;
    private javax.swing.JTextField jTextField06d;
    private javax.swing.JTextField jTextField06l;
    private javax.swing.JTextField jTextField06v;
    private javax.swing.JTextField jTextField07d;
    private javax.swing.JTextField jTextField07l;
    private javax.swing.JTextField jTextField07v;
    private javax.swing.JTextField jTextField08d;
    private javax.swing.JTextField jTextField08l;
    private javax.swing.JTextField jTextField08v;
    private javax.swing.JTextField jTextField09d;
    private javax.swing.JTextField jTextField09l;
    private javax.swing.JTextField jTextField09v;
    private javax.swing.JTextField jTextField10d;
    private javax.swing.JTextField jTextField10l;
    private javax.swing.JTextField jTextField10v;
    private javax.swing.JTextField jTextField11d;
    private javax.swing.JTextField jTextField11l;
    private javax.swing.JTextField jTextField11v;
    private javax.swing.JTextField jTextField12d;
    private javax.swing.JTextField jTextField12l;
    private javax.swing.JTextField jTextField12v;
    private javax.swing.JTextField jTextField13d;
    private javax.swing.JTextField jTextField13l;
    private javax.swing.JTextField jTextField13v;
    private javax.swing.JTextField jTextField14d;
    private javax.swing.JTextField jTextField14l;
    private javax.swing.JTextField jTextField14v;
    private javax.swing.JTextField jTextField15d;
    private javax.swing.JTextField jTextField15l;
    private javax.swing.JTextField jTextField15v;
    private javax.swing.JTextField jTextField16d;
    private javax.swing.JTextField jTextField16l;
    private javax.swing.JTextField jTextField16v;
    private javax.swing.JTextField jTextField17d;
    private javax.swing.JTextField jTextField17l;
    private javax.swing.JTextField jTextField17v;
    private javax.swing.JTextField jTextField18d;
    private javax.swing.JTextField jTextField18l;
    private javax.swing.JTextField jTextField18v;
    private javax.swing.JTextField jTextField19d;
    private javax.swing.JTextField jTextField19l;
    private javax.swing.JTextField jTextField19v;
    private javax.swing.JTextField jTextField20d;
    private javax.swing.JTextField jTextField20l;
    private javax.swing.JTextField jTextField20v;
    private javax.swing.JTextField jTextField21d;
    private javax.swing.JTextField jTextField21l;
    private javax.swing.JTextField jTextField21v;
    private javax.swing.JTextField jTextField22d;
    private javax.swing.JTextField jTextField22l;
    private javax.swing.JTextField jTextField22v;
    private javax.swing.JTextField jTextField23d;
    private javax.swing.JTextField jTextField23l;
    private javax.swing.JTextField jTextField23v;
    private javax.swing.JTextField jTextField24d;
    private javax.swing.JTextField jTextField24l;
    private javax.swing.JTextField jTextField24v;
    private javax.swing.JTextField jTextField25d;
    private javax.swing.JTextField jTextField25l;
    private javax.swing.JTextField jTextField25v;
    private javax.swing.JTextField jTextField26d;
    private javax.swing.JTextField jTextField26l;
    private javax.swing.JTextField jTextField26v;
    private javax.swing.JTextField jTextField27d;
    private javax.swing.JTextField jTextField27l;
    private javax.swing.JTextField jTextField27v;
    private javax.swing.JTextField jTextField28d;
    private javax.swing.JTextField jTextField28l;
    private javax.swing.JTextField jTextField28v;
    private javax.swing.JTextField jTextField29d;
    private javax.swing.JTextField jTextField29l;
    private javax.swing.JTextField jTextField29v;
    private javax.swing.JTextField jTextField30d;
    private javax.swing.JTextField jTextField30l;
    private javax.swing.JTextField jTextField30v;
    private javax.swing.JTextField jTextField31d;
    private javax.swing.JTextField jTextField31l;
    private javax.swing.JTextField jTextField31v;
    private javax.swing.JTextField jTextField32d;
    private javax.swing.JTextField jTextField32l;
    private javax.swing.JTextField jTextField32v;
    private javax.swing.JTextField jTextField33d;
    private javax.swing.JTextField jTextField33l;
    private javax.swing.JTextField jTextField33v;
    private javax.swing.JTextField jTextField34d;
    private javax.swing.JTextField jTextField34l;
    private javax.swing.JTextField jTextField34v;
    private javax.swing.JTextField jTextField35d;
    private javax.swing.JTextField jTextField35l;
    private javax.swing.JTextField jTextField35v;
    private javax.swing.JTextField jTextField36d;
    private javax.swing.JTextField jTextField36l;
    private javax.swing.JTextField jTextField36v;
    private javax.swing.JTextField jTextField37d;
    private javax.swing.JTextField jTextField37l;
    private javax.swing.JTextField jTextField37v;
    private javax.swing.JTextField jTextField38d;
    private javax.swing.JTextField jTextField38l;
    private javax.swing.JTextField jTextField38v;
    private javax.swing.JTextField jTextField39d;
    private javax.swing.JTextField jTextField39l;
    private javax.swing.JTextField jTextField39v;
    private javax.swing.JTextField jTextField40d;
    private javax.swing.JTextField jTextField40l;
    private javax.swing.JTextField jTextField40v;
    private javax.swing.JTextField jTextField41d;
    private javax.swing.JTextField jTextField41l;
    private javax.swing.JTextField jTextField41v;
    private javax.swing.JTextField jTextField42d;
    private javax.swing.JTextField jTextField42l;
    private javax.swing.JTextField jTextField42v;
    private javax.swing.JTextField jTextField43d;
    private javax.swing.JTextField jTextField43l;
    private javax.swing.JTextField jTextField43v;
    private javax.swing.JTextField jTextField44d;
    private javax.swing.JTextField jTextField44l;
    private javax.swing.JTextField jTextField44v;
    private javax.swing.JTextField jTextField45d;
    private javax.swing.JTextField jTextField45l;
    private javax.swing.JTextField jTextField45v;
    private javax.swing.JTextField jTextField46d;
    private javax.swing.JTextField jTextField46l;
    private javax.swing.JTextField jTextField46v;
    private javax.swing.JTextField jTextField47d;
    private javax.swing.JTextField jTextField47l;
    private javax.swing.JTextField jTextField47v;
    private javax.swing.JTextField jTextField48d;
    private javax.swing.JTextField jTextField48l;
    private javax.swing.JTextField jTextField48v;
    private javax.swing.JTextField jTextField49d;
    private javax.swing.JTextField jTextField49l;
    private javax.swing.JTextField jTextField49v;
    private javax.swing.JTextField jTextField50d;
    private javax.swing.JTextField jTextField50l;
    private javax.swing.JTextField jTextField50v;
    private javax.swing.JTextField jTextField51d;
    private javax.swing.JTextField jTextField51l;
    private javax.swing.JTextField jTextField51v;
    private javax.swing.JTextField jTextField52d;
    private javax.swing.JTextField jTextField52l;
    private javax.swing.JTextField jTextField52v;
    private javax.swing.JTextField jTextField53d;
    private javax.swing.JTextField jTextField53l;
    private javax.swing.JTextField jTextField53v;
    private javax.swing.JTextField jTextField54d;
    private javax.swing.JTextField jTextField54l;
    private javax.swing.JTextField jTextField54v;
    private javax.swing.JTextField jTextField55d;
    private javax.swing.JTextField jTextField55l;
    private javax.swing.JTextField jTextField55v;
    private javax.swing.JTextField jTextField56d;
    private javax.swing.JTextField jTextField56l;
    private javax.swing.JTextField jTextField56v;
    private javax.swing.JTextField jTextField57d;
    private javax.swing.JTextField jTextField57l;
    private javax.swing.JTextField jTextField57v;
    private javax.swing.JTextField jTextField58d;
    private javax.swing.JTextField jTextField58l;
    private javax.swing.JTextField jTextField58v;
    private javax.swing.JTextField jTextField59d;
    private javax.swing.JTextField jTextField59l;
    private javax.swing.JTextField jTextField59v;
    private javax.swing.JTextField jTextField60d;
    private javax.swing.JTextField jTextField60l;
    private javax.swing.JTextField jTextField60v;
    private javax.swing.JTextField jTextField61d;
    private javax.swing.JTextField jTextField61l;
    private javax.swing.JTextField jTextField61v;
    private javax.swing.JTextField jTextField62d;
    private javax.swing.JTextField jTextField62l;
    private javax.swing.JTextField jTextField62v;
    private javax.swing.JTextField jTextField63d;
    private javax.swing.JTextField jTextField63l;
    private javax.swing.JTextField jTextField63v;
    private javax.swing.JTextField jTextField64d;
    private javax.swing.JTextField jTextField64l;
    private javax.swing.JTextField jTextField64v;
    private javax.swing.JTextField jTextFieldDichte;
    private javax.swing.JTextField jTextFieldDynVisk;
    private javax.swing.JTextField jTextFieldPLinkesHerz;
    private javax.swing.JTextField jTextFieldPLinkesHerzHg;
    private javax.swing.JTextField jTextFieldPRechtesHerz;
    private javax.swing.JTextField jTextFieldPRechtesHerzHg;
    private javax.swing.JTextField jTextFieldZetaAbzweig;
    private javax.swing.JTextField jTextFieldZetaAuslauf;
    // End of variables declaration//GEN-END:variables
}
